SystemOrganization addCategory: #ScriptLoader!

!MCWorkingCopy methodsFor: '*ScriptLoader' stamp: 'sd 3/24/2008 17:13'!
theCachedRepository

	^ MCCacheRepository default! !

!MCVersionLoader methodsFor: '*ScriptLoader' stamp: 'sd 3/16/2008 08:53'!
hasVersions

	^ versions isEmpty not! !

Object subclass: #ScriptLoader
	instanceVariableNames: 'repository inboxRepository packagesNotToSave'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ScriptLoader'!

!ScriptLoader commentStamp: 'sd 3/24/2008 21:00' prior: 0!
I'm a  class that is used to load packages to create release.
Now I'm can log my changes.
I can generate automatically update and scripts methods from dirty packages (#compileNewUpdateMethod)

I should be merged into ReleaseBuilder in the future and ReleaseBuilder should be moved
out of system-support so that we do not create a new version of it each time.!

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 21:03'!
defaultMCWaitingFolder
	"self defaultMCWaitingFolder" 
	
	^MCWaitingFolder ifNil: [MCWaitingFolder := MCDirectoryRepository new directory: self waitingCacheFolder]! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
inboxRepository

	^ InboxRepository! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
inboxRepository: aRepository

	InboxRepository := aRepository! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 5/24/2008 16:10'!
loadOB
	"self loadOB"
	
	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].
	
	instClass ss
		project: 'AST';
		install: 'AST-lr.158'.
	instClass ss
		project: 'RefactoringEngine';
		install: 'RefactoringEngine-md.48'.


	instClass wiresong
		project: 'ob';
		install: 'OmniBrowser-dr.408'.
		
	instClass wiresong
		project: 'ob';
		install: 'OB-Morphic-dr.47'.
		
		
	instClass wiresong
		project: 'ob';
		install: 'OB-Standard-cb.335'.
		
	instClass wiresong
		project: 'ob';
		install: 'OB-Enhancements-dr.173'.

	instClass wiresong
		project: 'ob';	
		install: 'OB-Refactory-lr.85'.
		
	instClass wiresong
		project: 'ob';	
		install: 'OB-SUnitIntegration-dc.9'.
		

		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 5/24/2008 17:09'!
loadShout
	"self loadShout"
	
	| instClass |
	instClass := self environment at: #Installer ifAbsent: [self new installingInstaller].
		
	instClass ss
		project: 'shout';
		install: 'Shout.3.15-tween.70'.
	
	instClass ss
		project: 'shout';
		install: 'ShoutWorkspace.1-tween.2'.
		
	instClass ss
		project: 'shout';
		install: 'ShoutOmniBrowser-dc.5.mcz'
		

		


		

! !

!ScriptLoader class methodsFor: 'public' stamp: 'stephane.ducasse 5/24/2008 17:05'!
loadTools
	
	Preferences  setPreference: #swapMouseButtons toValue: true.
	self loadOB.
	self loadShout.
	! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 20:59'!
packageToBeTestedFolderName

	^ 'packages-to-be-tested'! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
repository

	^ Repository! !

!ScriptLoader class methodsFor: 'repository access' stamp: 'stephane.ducasse 5/16/2008 21:49'!
repository: aRepository

	Repository := aRepository! !

!ScriptLoader class methodsFor: 'as yet unclassified' stamp: 'sd 3/24/2008 20:59'!
waitingCacheFolder
	
	^ (FileDirectory default directoryNamed: self packageToBeTestedFolderName)
			assureExistence;
			yourself

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:10'!
addHomeRepositoryToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addHomeRepositoryToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository;
			 addRepository: self inboxRepository].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:40'!
addHomeRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 11:31'!
addPackagesNotToSave: aMatchingString

	packagesNotToSave add: aMatchingString.! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 10/31/2005 18:01'!
addRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'from bert' stamp: 'stephaneducasse 10/28/2005 19:57'!
bertLoadOneAfterTheOther: aCollection merge: aBoolean
 
	^ (self configurationFrom: aCollection) upgrade! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:45'!
cleanUpChanges
	"Clean up the change sets"
	"self new cleanUpChanges"
	
	| projectChangeSetNames |
	"Delete all changesets except those currently used by existing projects."
	projectChangeSetNames := Project allSubInstances collect: [:proj | proj changeSet name].
	ChangeSet removeChangeSetsNamedSuchThat:
		[:cs | (projectChangeSetNames includes: cs) not].
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:57'!
cleanUpEtoys
	"self new cleanUpEtoys"

	StandardScriptingSystem removeUnreferencedPlayers.

	(self confirm: 'Remove all projects and players?')
		ifFalse: [^self].
	Project removeAllButCurrent.

	#('Morphic-UserObjects' 'EToy-UserObjects' 'Morphic-Imported' )
		do: [:each | SystemOrganization removeSystemCategory: each].
		
	Smalltalk
		at: #Player
		ifPresent: [:superCls | superCls
				allSubclassesDo: [:cls | 
					cls isSystemDefined
						ifFalse: [cls removeFromSystem].
					cls := nil]].! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 7/27/2006 15:27'!
cleanUpMethods
	"Make sure that all methods in use are restarted"

	WeakArray restartFinalizationProcess.
	MethodChangeRecord allInstancesDo:[:x| x noteNewMethod: nil].
	Delay startTimerInterruptWatcher.
	WorldState allInstancesDo:[:ws| ws convertAlarms; convertStepList].
	ExternalDropHandler initialize.
	ScrollBar initializeImagesCache.
	Vocabulary initialize.
	GradientFillStyle initPixelRampCache.
	ProcessBrowser initialize.
	Smalltalk garbageCollect.

	self assert: (CompiledMethod allInstances
	reject:[:cm| cm hasNewPropertyFormat]) isEmpty.! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 9/8/2006 20:59'!
cleaningCS
	"self new cleaningCS" 
	 
	ChangeSorter removeChangeSetsNamedSuchThat: [:each | true].
	ChangeSet resetCurrentToNewUnnamedChangeSet ! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 17:02'!
compileNewUpdateMethod
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self generateNewUpdateMethod)
		classified: 'sapphire - updates'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:48'!
compileScriptMethodWithCurrentPackages: aNumber 
	"ScriptLoader new compileScriptMethodWithCurrentPackages: 9999"
	
	self class compile: 
		(self generateScriptTemplateWithCurrentPackages: aNumber)
		classified: 'sapphire - scripts'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:51'!
compileScriptMethodXXXWithCurrentPackages
	"ScriptLoader new compileScriptMethodXXXWithCurrentPackages"
	
	self class compile: self generateScriptTemplateWithCurrentPackages classified: 'sapphire - scripts'! !

!ScriptLoader methodsFor: 'from bert' stamp: 'md 8/10/2006 12:18'!
configurationFrom: aCollection

	| spec | 
	spec := Array streamContents: [:s |
         s nextPut: #repository; nextPut: {self repository description}.
         aCollection do: [:ea | | pkg ver id |
             pkg := ea copyUpToLast: $- .
             ver := ea copyUpToLast: $. .
             id := UUID nilUUID asString.
             s nextPut: #dependency; nextPut: {pkg . ver . id}]].
    ^MCConfiguration fromArray: spec.! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 18:32'!
copyPackageFromWaitingFolderToHomeRepository
	"self defaultMCWaitingFolder allFileNames"
	"self new copyPackageFromWaitingFolderToHomeRepository"
	
	| version |
	self waitingFolderMCZFiles do: [ :name |
		version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
		self repository storeVersion: version.
		]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/24/2008 17:11'!
currentDirtyPackages
	"ScriptLoader new currentDirtyPackages" 
	
	^  self currentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 14:21'!
currentPackages
	"ScriptLoader new currentPackages" 
	
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	
	 "copies select: [:each | '*Plus*' match: each package name ]."
	^ copies! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 5/29/2006 20:52'!
currentVersions
	"ScriptLoader new currentVersions"
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 11:32'!
currentVersionsToBeSaved
	"ScriptLoader new currentVersionsToBeSaved"
	
	^ self currentVersions reject:
			[:each| packagesNotToSave anySatisfy: 
					[:p | p match: each]]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:57'!
finalCleanup
	"self new finalCleanup"

	Smalltalk forgetDoIts.
	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	"The pointer to currentMethod is not realy needed (anybody care to fix this) and often holds on to obsolete bindings"
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	self cleanUpEtoys.
	SmalltalkImage current fixObsoleteReferences.
	Smalltalk flushClassNameCache.
	SystemOrganization removeEmptyCategories.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
	
! !

!ScriptLoader methodsFor: 'fixing scripts' stamp: 'sd 3/20/2008 21:16'!
fixAllPackagesInvisible

	| pnames |
	pnames := ScriptLoader new currentPackages collect: [:each | each package name].
	FixUnderscores fixLFPackages: pnames! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/16/2006 14:58'!
fixObsoleteReferences
	"self new fixObsoleteReferences"

	| informee obsoleteBindings obsName realName realClass |
	Preference allInstances do: [:each | 
		informee := each instVarNamed: #changeInformee.
		((informee isKindOf: Behavior)
			and: [informee isObsolete])
			ifTrue: [
				Transcript show: each name; cr.
				each instVarNamed: #changeInformee put: (Smalltalk at: (informee name copyReplaceAll: 'AnObsolete' with: '') asSymbol)]].
 
	CompiledMethod allInstances do: [:method |
		obsoleteBindings := method literals select: [:literal |
			literal isVariableBinding
				and: [literal value isBehavior]
				and: [literal value isObsolete]].
		obsoleteBindings do: [:binding |
			obsName := binding value name.
			Transcript show: obsName; cr.
			realName := obsName copyReplaceAll: 'AnObsolete' with: ''.
			realClass := Smalltalk at: realName asSymbol ifAbsent: [UndefinedObject].
			binding isSpecialWriteBinding
				ifTrue: [binding privateSetKey: binding key value: realClass]
				ifFalse: [binding key: binding key value: realClass]]].


	Behavior flushObsoleteSubclasses.
	Smalltalk garbageCollect; garbageCollect.
	SystemNavigation default obsoleteBehaviors size > 0
		ifTrue: [SystemNavigation default obsoleteBehaviors inspect]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 8/2/2006 18:12'!
flushCaches

	MCFileBasedRepository flushAllCaches.
	MCDefinition clearInstances.
	Smalltalk garbageCollect.
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 17:00'!
generateCS: extensionAndNumber fromUpdate: updateNumber on: st
	
	st nextPutAll:
'"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!!!).
Be sure to put any further comments in double-quotes, like this one."

|repository|
repository := MCHttpRepository
                location: ''http://www.squeaksource.com/Sapphire/''
                user: ''''
                password: ''''.
(repository loadVersionFromFileNamed:' .
	st nextPut: $' ; nextPutAll: 'ScriptLoader', extensionAndNumber, '.mcz'') load.'; cr.
	st nextPutAll: 'ScriptLoader new update', (updateNumber-1) asString; nextPutAll: '.' ; cr.
	st nextPutAll: '!!'.
	^ st contents
! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 17:00'!
generateNewUpdateMethod
	"ScriptLoader new generateNewUpdateMethod"
	
	| str mthName |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', (self getLatestUpdateNumber + 1) asString.
	str nextPutAll: mthName ; cr ; cr ; tab.
	str nextPutAll: '"self new ', mthName, '"' ; cr.
	
	str nextPutAll: '	self script' , self getLatestScriptNumber asString, '.'.
	str nextPutAll: '
	self flushCaches.
	'.
	
	^ str contents! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 11:16'!
generateScriptAndUpdateMethodForNewVersion
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: (self getLatestScriptNumber + 1).
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 7/14/2006 17:19'!
generateScriptTemplateWithAllCurrentPackages
	"ScriptLoader new generateScriptTemplateWithAllCurrentPackages"
	
	| str |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	self currentVersions do: 
		[:each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/28/2008 11:33'!
generateScriptTemplateWithCurrentPackages
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader 
		do: [ :each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/28/2008 11:33'!
generateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader 
		do: [ :each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: '' '', String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:54'!
getLatestScriptNumber
	"self new getLatestScriptNumber"
	
	| upfroms |
	upfroms := ScriptLoader selectors select: [:each | 'script*' match: each ].
	upfroms := upfroms collect: [:each | (each asString allButFirst: 6)].
	upfroms := upfroms reject: [:each | '*Log*' match: each ].
	upfroms := upfroms reject: [:each | '*XXX*' match: each ].
	upfroms := upfroms collect: [:each | each asNumber].
	^ upfroms asSortedCollection last
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 3/24/2008 16:54'!
getLatestUpdateNumber
	"self new getLatestUpdateNumber"
	
	| upfroms |
	upfroms := ScriptLoader selectors select: [:each | 'update*' match: each ].
	upfroms := upfroms collect: [:each | (each asString last: 5) asNumber].
	^ upfroms asSortedCollection last! !

!ScriptLoader methodsFor: 'accessing' stamp: 'stephane.ducasse 5/16/2008 21:47'!
inboxRepository

	InboxRepository ifNil: 
			[InboxRepository :=  (MCHttpRepository new 
										location: 'http://www.squeaksource.com/PharoInbox/';
										user: '';
										password: '')].
	^ InboxRepository
	
	! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 8/10/2006 12:10'!
initialCleanup
	"Perform various image cleanups in preparation for making a Squeak gamma release candidate image."
	"self new initialCleanup"
	
	Undeclared removeUnreferencedKeys.
	StandardScriptingSystem initialize.
	self resetToolSet.
	AppRegistry removeObsolete.
	FileServices removeObsolete. 

	(Object classPool at: #DependentsFields) size > 1 ifTrue: [self error:'Still have dependents'].
	Undeclared isEmpty ifFalse: [self error:'Please clean out Undeclared'].

	Smalltalk at: #Browser ifPresent:[:br| br initialize].
	ScriptingSystem deletePrivateGraphics.  "?"
	 
	self cleanUpChanges.
	ChangeSet current clear.
	ChangeSet current name: 'Unnamed'. 
	Smalltalk garbageCollect.
 
	"Reinitialize DataStream; it may hold on to some zapped entitities"
	DataStream initialize. 

	Smalltalk garbageCollect.
	ScheduledControllers := nil.
	Smalltalk garbageCollect.
	
	"SMSqueakMap default purge.  does not work"
	
! !

!ScriptLoader methodsFor: 'initialize' stamp: 'sd 3/28/2008 19:06'!
initialize

	super initialize.
	self packagesNotToSave: #('*ScriptLoader*' '*AST*' '*RefactoringEngine*' '*Installer*') .! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 14:46'!
installRepository: aString for: packageName

	(MCWorkingCopy allManagers select: [:each | each package name = packageName])
		first repositoryGroup
		addRepository: (MCHttpRepository new location: aString ; user: '' ; password: '')
		! !

!ScriptLoader methodsFor: 'unused methods' stamp: 'sd 7/15/2006 22:43'!
installVersionInfo
	"self new installVersionInfo"

	| highestUpdate newVersion |
	highestUpdate := SystemVersion current highestUpdate.
	(self confirm: 'Reset highest update (' , highestUpdate printString , ')?')
		ifTrue: [SystemVersion current highestUpdate: 0].

	newVersion := FillInTheBlank request: 'New version designation:' initialAnswer: '3.9' , highestUpdate printString. 
	SystemVersion newVersion: newVersion.
	
! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:50'!
installer
	^ Smalltalk 
		at: #Installer
		ifAbsent: 
			[ self installingInstaller.
			Smalltalk at: #Installer ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:15'!
installingDefaultRepositoriesToPackages
	"self new installingDefaultRepositoriesToPackages"
	
	self packagesAndHome do: [:each |  self installRepository: each second for: each first].! !

!ScriptLoader methodsFor: 'utils' stamp: 'ab 5/11/2008 15:22'!
installingInstaller
	"self new installingInstaller"
	
	| mc  files fileToLoad version |
	mc := Smalltalk at: #MCHttpRepository ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Installer' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	fileToLoad := files detect: [ :aFile | aFile beginsWith:'Installer-sd.3' ] ifNone: [ nil ].
	version := mc versionFromFileNamed: fileToLoad.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version load.
	
	^ (Smalltalk at: #Installer)! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:53'!
installingRBEngine

	"| `@temps |
``@.BeforeStatements.
`f := ImporterFacade forVisualWorks.
`f inModel: `@m.
`f importingContext importMaximum.
`f importNameSpaceFromBinding: `@n.
``@.AfterStatements

->

| `@temps |
``@.BeforeStatements.
ImporterFacade importNameSpaceFromVWBinding: `@n inModel: `@m.
``@.AfterStatements"

	(self universalInstaller) universe install: 'Refactoring Engine'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 4/4/2008 14:50'!
installingRBEngineWithoutUniverse

	Smalltalk at: #Installer
		ifPresent: [:each | 
					each ss project: 'AST'; install: 'AST-lr.157'.
					each ss project: 'RefactoringEngine'; install: ' RefactoringEngine-lr.45']! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:51'!
installingUniverse
	self installer ss
		project: 'XMLSupport';
		install: 'XML-Parser'.
	self installer ss
		project: 'universes';
		install: 'Universes'! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 12/8/2005 21:18'!
loadOneAfterTheOther: aCollection merge: aBoolean
	| loader |
	(self newerVersionsIn: aCollection)
		do: [:fn |
			loader := aBoolean
				ifTrue: [ MCVersionMerger new ]
				ifFalse: [ MCVersionLoader new].
			loader addVersion: (self repository loadVersionFromFileNamed: fn).
			aBoolean
				ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
							request merger conflicts isEmpty
								ifTrue: [request resume: true]
								ifFalse: [request pass]]]
				ifFalse: [loader load]]
  	  	displayingProgress: 'Loading versions...'.
	

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:42'!
loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			self loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean ]! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 18:32'!
loadPackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	| version |
	self waitingFolderMCZFiles
		do: [ :name |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version load.
			]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'sd 3/16/2008 08:54'!
loadTogether: aCollection merge: aBoolean
	| loader |
	loader := aBoolean
		ifTrue: [ MCVersionMerger new ]
		ifFalse: [ MCVersionLoader new].
	(self newerVersionsIn: aCollection)
		do: [:fn | loader addVersion: (self repository loadVersionFromFileNamed: fn)]
  	  	displayingProgress: 'Adding versions...'.
	aBoolean
		ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
					request merger conflicts isEmpty
						ifTrue: [request resume: true]
						ifFalse: [request pass]]]
		ifFalse: [loader hasVersions ifTrue: [loader load]]

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:41'!
loadTogether: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadTogether: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			 self loadTogether: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 4/4/2008 14:47'!
log: aString

	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logContents

	^ self logStream contents! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logStream

	LogStream ifNil: [LogStream := ReadWriteStream on: (String new: 1000)].
	^ LogStream! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:54'!
makeSapphireDev
	self universalInstaller
		universe install: 'Squeak-dev image'! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'md 2/16/2006 16:43'!
mergePackagesNamed: names
	| vm  |
	repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

	vm _ MCVersionMerger new.
	names
		do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
		displayingProgress: 'Adding versions...'.

	[vm merge]
		on: MCMergeResolutionRequest do: [:request |
			request merger conflicts isEmpty
				ifTrue: [request resume: true]
				ifFalse: [request pass]]! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/24/2008 17:03'!
methodsForNewVersion
	"Use me to generate the script and update method"
	"self new methodsForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: (self getLatestScriptNumber + 1).
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 10/13/2005 21:44'!
newerVersionsIn: aCollection
	^aCollection reject: [:each |
		MCWorkingCopy allManagers anySatisfy: [:workingcopy |
			workingcopy ancestry ancestorString , '.mcz' = each]].! !

!ScriptLoader methodsFor: 'utils' stamp: 'sd 2/4/2008 16:09'!
openWindow: contents label: aLabel

	StringHolder new 
		contents: contents ;
		openLabel: aLabel! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 8/29/2006 08:41'!
packagesAndHome

^ #(
('MonticelloConfigurations' 
'http://source.impara.de/mc')
('Balloon' 
'http://source.squeakfoundation.org/Balloon')
('Compression'
'http://source.squeakfoundation.org/Compression')
('Flash'
'http://source.squeakfoundation.org/Balloon')
('Graphics'
'http://source.squeakfoundation.org/Graphics')
('GraphicsTests' 
'http://source.squeakfoundation.org/Graphics')
('ToolBuilder-Kernel'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-MVC'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-Morphic'
'http://squeaksource.com/ToolBuilder')
('ToolBuilder-SUnit'
'http://squeaksource.com/ToolBuilder')
('TrueType'
'http://source.squeakfoundation.org/Balloon')
('PackageInfo'
'http://www.squeaksource.com/PackageInfo')
('SMBase'
'http://source.squeakfoundation.org/SqueakMap')
('SMLoader'
'http://source.squeakfoundation.org/SqueakMap')
('Network'
'http://source.squeakfoundation.org/network')
('NetworkTests'
'http://source.squeakfoundation.org/network')
('VersionNumber'
'http://source.squeakfoundation.org/SqueakMap')
('OB-Standard'
'http://source.wiresong.ca/ob/')
('OmniBrowser'
'http://source.wiresong.ca/ob/')
('Monticello'
'http://source.wiresong.ca/mc/')
)
! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 11:28'!
packagesNotToSave: aCol

	packagesNotToSave := aCol! !

!ScriptLoader methodsFor: 'fixing scripts' stamp: 'sd 3/24/2008 16:42'!
packagesWithProblemsForAssignments
	"FixUnderscores fixPackages: #()"
	"when I tried to reload with the package fixed with underscores
	I got problems so I just rollbacked for now."
	
	^#('Graphics' 'Network' 'ST-80')! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:32'!
removeAllRepositories: aColl
	"self new removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			  'http://source.wiresong.ca/mc/')"

	
	MCWorkingCopy allManagers do: [:each | 
		aColl
			do: [:location | 
					each  repositoryGroup removeHTTPRepositoryLocationNamed: location]].
	! !

!ScriptLoader methodsFor: 'accessing' stamp: 'stephane.ducasse 5/16/2008 21:47'!
repository
	Repository ifNil: [ Repository := 
						MCHttpRepository new
							location:  'http://www.squeaksource.com/Pharo';
							user: '';
							password: ''].
	^ Repository! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'stephaneducasse 1/14/2006 12:46'!
resetToolSet

	ToolSet default: nil! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 5/16/2008 22:11'!
sapphireToPharoRepository
	"self new sapphireToPharoRepository"
	self removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/').
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'public' stamp: 'sd 3/28/2008 10:49'!
saveDirtyPackageInWaitingFolderWith: aMessageString
	"self new saveDirtyPackageInWaitingFolderWith: 'adding insallter support'"
	 
	self currentDirtyPackages do: [:each |
		self saveInToReloadCachePackage: each with: aMessageString]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/24/2008 20:57'!
saveInToReloadCachePackage: aWorkingCopy with: aMessageString

	self savePackage: aWorkingCopy in: self class defaultMCWaitingFolder with: aMessageString! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 08:39'!
savePackage: aWorkingCopy in: aRepository with: aMessageString
	"|sc|
	  sc := self new.
	  sc savePackage: (sc workingCopyFromPackageName: 'ScriptLoader') 
			in: MCCacheRepository default
			with: 'this is test to automate dirty package saving in cache'"

	aRepository storeVersion: 
			(aWorkingCopy 
					newVersionWithName: aWorkingCopy uniqueVersionName 
					message: aMessageString)
					
				"does not work since we may produce number that are wrong. 
				We should look in the ancestry"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/16/2006 16:43'!
script1
	"morphic splitter"
	
	| vm names  |
repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

names _ '
38Deprecated-sd.2.mcz
39Deprecated-sd.2.mcz
Balloon-stephaneducasse.6.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-stephaneducasse.29.mcz
CollectionsTests-md.8.mcz
Compiler-stephaneducasse.12.mcz
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-stephaneducasse.13.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.36.mcz
KernelTests-md.9.mcz
Morphic-stephaneducasse.47.mcz
MorphicExtras-stephaneducasse.2.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.6.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.16.mcz
NetworkTests-md.7.mcz
PackageInfo-md.3.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-md.26.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.42.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.30.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

vm _ MCVersionMerger new.
names
    do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
    displayingProgress: 'Adding versions...'.
vm merge

! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 11/1/2005 15:47'!
script10
	"I should have introduced a new name when  I did updateFrom6696: I'm messy (sd)
	
	Load System (with LogStreamFile reintorudce and Tools without ab and merged
	Needed from here: the four changesets and PlusTools
	"
	
	| names |
	
	

	names _ '
38Deprecated-CdG.4.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-CdG.19.mcz 
Compression-CdG.3.mcz
Exceptions-CdG.4.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-CdG.49.mcz
KernelTests-CdG.13.mcz
Morphic-CdG.55.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-CdG.5.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-CdG.23.mcz
StarSqueak-CdG.5.mcz
SUnit-CdG.28.mcz
System-stephaneducasse.47.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.38.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
	
! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/12/2008 15:23'!
script100

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.105.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/12/2008 15:54'!
script101

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/15/2008 14:49'!
script102

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/16/2008 14:50'!
script103

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.153.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/16/2008 15:38'!
script104

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-sd.11.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/16/2008 15:53'!
script105

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.51.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
System-sd.106.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.75.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-md.2.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/20/2008 22:02'!
script106

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-sd.71.mcz
CollectionsTests-md.34.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.40.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.52.mcz
Monticello-sd.309.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.33.mcz
NetworkTests-md.9.mcz
PackageInfo-sd.7.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.7.mcz
System-sd.107.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-sd.76.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/22/2008 21:19'!
script107

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.72.mcz
CollectionsTests-md.34.mcz
Compiler-sd.58.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.40.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.117.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.33.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.8.mcz
System-sd.108.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/24/2008 16:17'!
script108

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.72.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-al.5.mcz
Graphics-sd.42.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.155.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.109.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 3/28/2008 19:06'!
script109

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.73.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-sd.9.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-md.19.mcz
FixUnderscores-sd.11.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.156.mcz
KernelTests-sd.53.mcz
Monticello-sd.310.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.110.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.77.mcz
Traits-sd.227.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 11/3/2005 15:57'!
script11
	"With paragraphEditor and ChangeSorter classVariables back"
	
	| names |
	

	names _ '
38Deprecated-CdG.4.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-CdG.19.mcz 
Compression-CdG.3.mcz
Exceptions-CdG.4.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-CdG.49.mcz
KernelTests-CdG.13.mcz
Morphic-CdG.55.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-CdG.5.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.24.mcz
StarSqueak-CdG.5.mcz
SUnit-CdG.28.mcz
System-stephaneducasse.47.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.39.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
	
! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 5/10/2008 09:52'!
script110

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-sd.75.mcz
CollectionsTests-md.34.mcz
Compiler-sd.59.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.158.mcz
KernelTests-sd.56.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.118.mcz
MorphicExtras-sd.32.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.36.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.112.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.79.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'md 5/10/2008 13:04'!
script111

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-md.159.mcz
KernelTests-md.57.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.119.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-md.113.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.80.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 5/10/2008 14:37'!
script112

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.21.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-md.159.mcz
KernelTests-md.57.mcz
Monticello-sd.313.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.119.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-md.113.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-md.80.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false silently: true.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'sd 5/10/2008 18:20'!
script113

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.76.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-sd.43.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-sd.314.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.120.mcz
MorphicExtras-md.34.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-md.13.mcz
Network-sd.35.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-md.38.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-sd.114.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-sd.81.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'stephane.ducasse 5/11/2008 14:02'!
script114

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-sd.314.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.121.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Nebraska-stephane.ducasse.15.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.115.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.
	
	self loadOneAfterTheOther: 	
			#('Monticello-stephane.ducasse.315.mcz') merge: false.
! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'stephane.ducasse 5/17/2008 09:44'!
script115

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.122.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.115.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'stephane.ducasse 5/17/2008 09:59'!
script116

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-md.77.mcz
CollectionsTests-md.35.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-sd.22.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.122.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-al.24.mcz
Network-on.36.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.116.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'stephane.ducasse 5/21/2008 22:37'!
script117

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-on.37.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-zz.10.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.315.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.117.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'stephane.ducasse 5/24/2008 16:57'!
script118

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-on.37.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-sd.21.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.45.mcz
GraphicsTests-zz.10.mcz
Kernel-sd.160.mcz
KernelTests-md.57.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-md.6.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.39.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.117.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.20.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.82.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'lukas.renggli 5/27/2008 17:54'!
script119

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-stephane.ducasse.38.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.22.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.161.mcz
KernelTests-stephane.ducasse.59.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 11/4/2005 13:07'!
script12
	"With  ChangeSorter classVariables removed"
	
	| names |
	

	names _ '
38Deprecated-CdG.4.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-CdG.19.mcz 
Compression-CdG.3.mcz
Exceptions-CdG.4.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-CdG.49.mcz
KernelTests-CdG.13.mcz
Morphic-CdG.55.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-CdG.5.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.24.mcz
StarSqueak-CdG.5.mcz
SUnit-CdG.28.mcz
System-stephaneducasse.47.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.40.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
	
! !

!ScriptLoader methodsFor: 'sapphire - scripts' stamp: 'stephane.ducasse 6/2/2008 22:27'!
script120

	| names|
names := '39Deprecated-sd.12.mcz
Balloon-ar.13.mcz
Collections-stephane.ducasse.79.mcz
CollectionsTests-stephane.ducasse.38.mcz
Compiler-md.60.mcz
Compression-sd.11.mcz
EToys-md.23.mcz
Exceptions-md.9.mcz
Files-stephane.ducasse.22.mcz
FixUnderscores-sd.11.mcz
FlexibleVocabularies-sd.8.mcz
Graphics-stephane.ducasse.46.mcz
GraphicsTests-zz.10.mcz
Kernel-stephane.ducasse.162.mcz
KernelTests-stephane.ducasse.60.mcz
Monticello-stephane.ducasse.316.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-stephane.ducasse.123.mcz
MorphicExtras-stephane.ducasse.35.mcz
MorphicTests-stephane.ducasse.7.mcz
Multilingual-stephane.ducasse.26.mcz
Network-stephane.ducasse.37.mcz
NetworkTests-sd.10.mcz
PackageInfo-md.8.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-sd.13.mcz
SMBase-stephane.ducasse.86.mcz
SMLoader-gk.37.mcz
ST80-stephane.ducasse.40.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-sd.34.mcz
SmaCC-md.9.mcz
Sound-sd.9.mcz
System-stephane.ducasse.119.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-stephane.ducasse.21.mcz
ToolBuilder-Kernel-stephane.ducasse.18.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-sd.20.mcz
ToolBuilder-SUnit-sd.13.mcz
Tools-stephane.ducasse.84.mcz
Traits-sd.229.mcz
TrueType-ar.4.mcz
VersionNumber-sd.3.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 11/5/2005 15:30'!
script13
	"An experience: loading first with classvar and reloading without to see if we get 
	the result expected: no wanring and no classvariable in ChangeSorter"
	
	| names |
	

	names _ '
38Deprecated-CdG.4.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-stephaneducasse.20.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.50.mcz
KernelTests-CdG.13.mcz
Morphic-CdG.55.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-CdG.5.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.24.mcz
StarSqueak-CdG.5.mcz
SUnit-CdG.28.mcz
System-stephaneducasse.47.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.39.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.

"an experience to remove the classvariable without having warning"	

	names _ '
Tools-stephaneducasse.40.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 11/20/2005 21:09'!
script14
	"loading back the packages that have been marked as dirty because of cs 
	pushed into the stream. Such a configuration may not work with another image
	than 6703
	
	Compiler-stephaneducasse.21.mcz includes the fixes to load MC code and keep some cleans of marcus
	System-stephaneducasse.48 fixes flaps
	Morphic.56 0002147: Too many keystroke events
	
	Tools.41: browser fixes...
	
	FixUnderscores
	
	System.50 System Edgar fixes.
	"
	
	| names |
	

	names _ '
38Deprecated-CdG.4.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-stephaneducasse.21.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.50.mcz
KernelTests-CdG.13.mcz
Morphic-stephaneducasse.56.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-CdG.5.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.24.mcz
StarSqueak-CdG.5.mcz
SUnit-CdG.28.mcz
System-sd.50.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.41.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 11/29/2005 09:40'!
script15
	"Fixing underscores
	Fixing explore
	"
	
	| names |
	

	names _ '
38Deprecated-sd.5.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-stephaneducasse.21.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.50.mcz
KernelTests-CdG.13.mcz
Morphic-stephaneducasse.56.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.24.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
System-al.51.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-sd.42.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'al 12/19/2005 11:11'!
script16
	"Traits introduction:
	The packages need to be loaded in the following order, one by one.
	"
	
	self loadOneAfterTheOther: 	
			#('Traits.bootstrap-al.1.mcz'
				'Kernel.bootstrap-al.1.mcz'
				'Kernel.bootstrap-al.2.mcz'
				'Monticello-al.287.mcz'
				'Traits-al.198.mcz'
				'Kernel-al.70.mcz'
				'System-al.52.mcz'
				'Tools-al.43.mcz') merge: false.
	
	
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 12/20/2005 15:06'!
script17
	"
	integer printOn:padded 2229
	character fixes 2254
	date fixes 2117
	compiler fix of lukas evaluate:in:to:notifying:
	http://bugs.impara.de/view.php?id=1041 LowSpaceAndInterruptHandler-3-dtl
	
	"
	"
	| res |
	res := ReadWriteStream on: String new. 
	MCWorkingCopy allManagers collect: [:each | res nextPutAll: each ancestry ancestors first name ; nextPutAll: '.mcz' ; cr].
	res contents"
	
	"| names |
	names _ '
38Deprecated-sd.5.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-sd.22.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-sd.71.mcz
KernelTests-sd.14.mcz
Morphic-stephaneducasse.56.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.287.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.24.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
System-al.52.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-al.43.mcz
Traits-al.198.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
' "

| names |
	names _
'Tools-al.43.mcz
SUnit-CdG.28.mcz
Movies-stephaneducasse.3.mcz
FlexibleVocabularies-CdG.2.mcz
ToolBuilder-Kernel-ar.13.mcz
BalloonMMFlash-stephaneducasse.3.mcz
SmaCC-md.5.mcz
KernelTests-sd.14.mcz
39Deprecated-stephaneducasse.3.mcz
VersionNumber-dew.1.mcz
ToolBuilder-MVC-ar.8.mcz
MonticelloConfigurations-md.37.mcz
ToolBuilder-SUnit-ar.9.mcz
ST80-stephaneducasse.24.mcz
ToolBuilder-Morphic-md.15.mcz
Files-CdG.13.mcz
Exceptions-stephaneducasse.5.mcz
Balloon-stephaneducasse.7.mcz
GraphicsTests-md.3.mcz
PlusTools-CdG.22.mcz
Sound-CdG.3.mcz
SMBase-stephaneducasse.69.mcz
Traits-al.198.mcz
Protocols-CdG.7.mcz
CollectionsTests-sd.11.mcz
PackageInfo-stephaneducasse.4.mcz
FFI-CdG.4.mcz
Kernel-sd.71.mcz
Network-CdG.21.mcz
PreferenceBrowser-hpt.27.mcz
MorphicExtras-CdG.7.mcz
FixUnderscores-stephaneducasse.7.mcz
MorphicTests-stephaneducasse.4.mcz
Nebraska-sd.6.mcz
ScriptLoader-sd.58.mcz
StarSqueak-sd.6.mcz
Graphics-CdG.16.mcz
Speech-stephaneducasse.5.mcz
System-al.52.mcz
38Deprecated-sd.5.mcz
Multilingual-CdG.10.mcz
Monticello-al.287.mcz
Compression-CdG.3.mcz
SMLoader-bp.27.mcz
Compiler-sd.22.mcz
Tests-CdG.9.mcz
Collections-sd.36.mcz
EToys-stephaneducasse.2.mcz
NetworkTests-md.7.mcz
Morphic-stephaneducasse.56.mcz
'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 12/20/2005 22:03'!
script18
	"
	integer printOn:padded 2229
	character fixes 2254
	date fixes 2117
	compiler fix of lukas evaluate:in:to:notifying:
	http://bugs.impara.de/view.php?id=1041 LowSpaceAndInterruptHandler-3-dtl
	added omnibrowser.273
	"
	"
	| res |
	res := ReadWriteStream on: String new. 
	MCWorkingCopy allManagers collect: [:each | res nextPutAll: each ancestry ancestors first name ; nextPutAll: '.mcz' ; cr].
	res contents"
	
| names |
	names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-sd.22.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-sd.71.mcz
KernelTests-sd.14.mcz
Morphic-stephaneducasse.56.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-cwp.273.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-sd.25.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
System-sd.53.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-al.43.mcz
Traits-al.198.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 1/13/2006 19:22'!
script19
	"
	Morphic team new versions
		Mantis-1092-MorphDropFix, fix by Edgar De Cleene (edc) and Scott  Wallace (sw)
Mantis-0503-TargetSighting, fix by Jerome Peace (wiz)
Mantis-1015-SnapView, fix by Jerome Peace (wiz)
Mantis-1771-ClickExerciser, fix by Jerome Peace (wiz)
Mantis-1625-Thumbnails, fix by Jerome Peace (wiz)
Mantis-1484-TrashHalo, fix by Jerome Peace (wiz)
Mantis-1454-ArrowPrototypeFix, fix by Jerome Peace (wiz)
Mantis-1347-ListDoubleClick, fix by Jerome Peace (wiz)
Reviewed by Juan Vuletich (jmv)
		
		Pay attention the order is important: first Etoys, then Morphic then Morphic Extra and
		this is not working with merging (ie default MC behavior.
	"
	self loadOneAfterTheOther: #('EToys-jmv.5.mcz' 'Morphic-jmv.58.mcz' 'MorphicExtras-jmv.9.mcz') merge: false.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/16/2006 16:43'!
script2
	"deprecated + CurrentProjectRefactoring + collection tests"
	
	| vm names  |
repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-stephaneducasse.29.mcz
CollectionsTests-stephaneducasse.9.mcz
Compiler-stephaneducasse.12.mcz
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-stephaneducasse.13.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.36.mcz
KernelTests-md.9.mcz
Morphic-stephaneducasse.47.mcz
MorphicExtras-stephaneducasse.2.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.6.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.16.mcz
NetworkTests-md.7.mcz
PackageInfo-md.3.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-md.26.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.43.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.30.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

vm _ MCVersionMerger new.
names
    do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
    displayingProgress: 'Adding versions...'.
vm merge

! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 1/13/2006 23:44'!
script20
	"
	traits fixes
	"
	"
	| res |
	res := ReadWriteStream on: String new. 
	MCWorkingCopy allManagers collect: [:each | res nextPutAll: each ancestry ancestors first name ; nextPutAll: '.mcz' ; cr].
	res contents"
	
| names |
	names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-sd.24.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-jmv.5.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-al.72.mcz
KernelTests-sd.14.mcz
Morphic-jmv.58.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-cwp.273.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-sd.25.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
System-al.55.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-al.44.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 1/14/2006 12:45'!
script21
	"
	TIM VMMaker related fixes:
		6669VMM38-64bit-imageUpdates.1.cs
		6669VMM38-gc-instrument-image.1.cs
		LocalePluginAddins.1.cs
		RemoveLeftoverVMMbits-38b4.1.cs
		WideStringPrimKill.1.cs
	"
	"
	| res |
	res := ReadWriteStream on: String new. 
	MCWorkingCopy allManagers collect: [:each | res nextPutAll: each ancestry ancestors first name ; nextPutAll: '.mcz' ; cr].
	res contents"
	
| names |
	names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-sd.24.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-jmv.5.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.73.mcz
KernelTests-sd.14.mcz
Morphic-jmv.58.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-cwp.273.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.26.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
System-stephaneducasse.56.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.45.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 1/14/2006 18:39'!
script22
	"
	Preferences (rr)
	PreferenceBrowser (rr)
	Services (rr)
	Debugger fix (md)
	"
	"
	| res |
	res := ReadWriteStream on: String new. 
	MCWorkingCopy allManagers collect: [:each | res nextPutAll: each ancestry ancestors first name ; nextPutAll: '.mcz' ; cr].
	res contents"
	
| names |
	names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-sd.24.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-jmv.5.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.73.mcz
KernelTests-sd.14.mcz
Morphic-jmv.58.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-stephaneducasse.21.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.26.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
System-stephaneducasse.57.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.46.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 1/14/2006 21:01'!
script23
	"
	new SUnit UI. 
	merged Tools-md-44
	"
	"
	| res |
	res := ReadWriteStream on: String new. 
	MCWorkingCopy allManagers collect: [:each | res nextPutAll: each ancestry ancestors first name ; nextPutAll: '.mcz' ; cr].
	res contents"
	
| names |
Flaps unregisterQuad: #(#TestRunner #prototypicalToolWindow 'Test Runner' 'The SUnit Test Runner' ) forFlapNamed: 'Tools'.
	names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-sd.24.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-jmv.5.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.73.mcz
KernelTests-sd.14.mcz
Morphic-jmv.58.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-stephaneducasse.21.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.26.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-md.3.mcz
System-stephaneducasse.57.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.47.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 1/15/2006 18:25'!
script24
	"
	Method annotations
	"
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-stephaneducasse.25.mcz 
Compression-CdG.3.mcz
Exceptions-stephaneducasse.5.mcz
EToys-jmv.5.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.75.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-jmv.58.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-stephaneducasse.21.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.26.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-md.3.mcz
System-stephaneducasse.57.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.47.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 1/18/2006 09:38'!
script25
	"
	Packages made dirty by the cs for method annotation: 6713.
	"
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-sd.4.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-sd.36.mcz
CollectionsTests-sd.11.mcz
Compiler-md.27.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-jmv.5.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-sd.76.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-jmv.58.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-stephaneducasse.21.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.26.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-md.3.mcz
System-stephaneducasse.57.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-stephaneducasse.47.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 1/18/2006 19:42'!
script26
	"Bugfixes:
	move scopeHas:ifTrue: to *39Deprecated, fix the senders
	JMMRemoveExtraIndexCheck: faster second...8th 
	fix open File directly
	WindowColorRegistry (Hernn Tylim)
	Fix to open real Workspace
	"
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.37.mcz
CollectionsTests-sd.11.mcz
Compiler-md.27.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-md.77.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-md.59.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-CdG.22.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-md.22.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.26.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-md.3.mcz
System-md.58.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-md.48.mcz
Traits-al.200.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 1/19/2006 18:50'!
script27
	""
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.38.mcz
CollectionsTests-sd.11.mcz
Compiler-md.28.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-md.14.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-md.79.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-md.61.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-md.23.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-md.22.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
ST80-md.27.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-md.3.mcz
System-md.59.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-md.49.mcz
Traits-al.200.mcz
Speech-md.6.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 1/21/2006 11:18'!
script28
	""
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.40.mcz
CollectionsTests-md.12.mcz
Compiler-md.29.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-md.14.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-md.83.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-md.62.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-md.24.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-md.22.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
ST80-md.27.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-lr.4.mcz
System-md.60.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-md.51.mcz
Traits-al.200.mcz
Speech-md.6.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 1/22/2006 19:48'!
script29
	""
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.41.mcz
CollectionsTests-md.12.mcz
Compiler-md.31.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-md.14.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-md.83.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-md.63.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-md.24.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-md.23.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
ST80-md.27.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-lr.4.mcz
System-md.60.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-md.51.mcz
Traits-al.200.mcz
Speech-md.6.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/16/2006 16:43'!
script3
	"explore label + print fixes + Network +starMorph + SMloadder + double initi"
	
	| vm names  |
repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-stephaneducasse.29.mcz
CollectionsTests-stephaneducasse.9.mcz
Compiler-stephaneducasse.12.mcz
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-stephaneducasse.13.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.38.mcz
KernelTests-md.9.mcz
Morphic-stephaneducasse.47.mcz
MorphicExtras-stephaneducasse.3.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.6.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.17.mcz
NetworkTests-md.7.mcz
PackageInfo-md.3.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-md.26.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.43.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.32.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

vm _ MCVersionMerger new.
names
    do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
    displayingProgress: 'Adding versions...'.
vm merge

! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 1/23/2006 17:11'!
script30
	"adding andreas packages"
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.41.mcz
CollectionsTests-md.12.mcz
Compiler-md.31.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-md.14.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-ar.25.mcz
GraphicsTests-md.3.mcz
Kernel-md.83.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-md.63.mcz
MorphicExtras-jmv.9.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
PlusTools-md.24.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-md.23.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
ST80-md.27.mcz
StarSqueak-sd.6.mcz
SUnit-CdG.28.mcz
SUnitGUI-lr.4.mcz
System-md.60.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-md.51.mcz
Traits-al.200.mcz
Speech-md.6.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 2/3/2006 22:46'!
script31
	"0002135: Cmd-. don't work with various Mac Os X keyboard layout
	lukas TextAnchor fixes"
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.41.mcz
CollectionsTests-md.12.mcz
Compiler-md.31.mcz 
Compression-CdG.3.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-md.14.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-sd.84.mcz
KernelTests-stephaneducasse.15.mcz
Morphic-stephaneducasse.64.mcz
MorphicExtras-stephaneducasse.10.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.287.mcz
MonticelloConfigurations-md.37.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.24.mcz
PreferenceBrowser-stephaneducasse.28.mcz
Protocols-CdG.7.mcz
Services-Base-md.23.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
ST80-md.27.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-lr.4.mcz
System-stephaneducasse.61.mcz
Tests-stephaneducasse.10.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.51.mcz
Traits-al.200.mcz
Speech-stephaneducasse.7.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/12/2006 20:23'!
script32
	
| names |
names _ '
38Deprecated-sd.5.mcz
39Deprecated-md.5.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.44.mcz
CollectionsTests-md.14.mcz
Compiler-md.31.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.88.mcz
KernelTests-md.19.mcz
Morphic-md.65.mcz
MorphicExtras-stephaneducasse.10.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-stephaneducasse.288.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.25.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-stephaneducasse.24.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.27.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-lr.4.mcz
System-md.62.mcz
Tests-md.11.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.54.mcz
Traits-md.201.mcz
Speech-stephaneducasse.7.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/14/2006 21:11'!
script33
	
| names |
names := '
39Deprecated-md.6.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.45.mcz
CollectionsTests-md.14.mcz
Compiler-md.33.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.90.mcz
KernelTests-md.20.mcz
Morphic-md.68.mcz
MorphicExtras-stephaneducasse.10.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-stephaneducasse.288.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.27.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-stephaneducasse.24.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.28.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-lr.4.mcz
System-md.65.mcz
Tests-md.12.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.55.mcz
Traits-md.202.mcz
Speech-stephaneducasse.7.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/16/2006 14:29'!
script34
	
| names |
names := '
39Deprecated-md.7.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.46.mcz
CollectionsTests-md.15.mcz
Compiler-md.35.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.92.mcz
KernelTests-md.22.mcz
Morphic-md.68.mcz
MorphicExtras-md.11.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.291.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.27.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-stephaneducasse.24.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.28.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-lr.4.mcz
System-md.66.mcz
Tests-md.13.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.55.mcz
Traits-md.203.mcz
Speech-stephaneducasse.7.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/16/2006 19:25'!
script35
	
| names |
names := '
39Deprecated-md.8.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.47.mcz
CollectionsTests-md.16.mcz
Compiler-md.36.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.94.mcz
KernelTests-md.23.mcz
Morphic-md.68.mcz
MorphicExtras-md.11.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.291.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.28.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-stephaneducasse.24.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.28.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-lr.4.mcz
System-md.66.mcz
Tests-md.13.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.55.mcz
Traits-md.203.mcz
Speech-stephaneducasse.7.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/18/2006 13:54'!
script36
	
| names |
names := '
39Deprecated-md.9.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.47.mcz
CollectionsTests-md.16.mcz
Compiler-md.37.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.95.mcz
KernelTests-md.24.mcz
Morphic-md.68.mcz
MorphicExtras-md.11.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.291.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.29.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-stephaneducasse.24.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.29.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-lr.4.mcz
System-md.67.mcz
Tests-md.13.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.57.mcz
Traits-md.203.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/19/2006 11:35'!
script37
	
| names |
names := '
39Deprecated-md.10.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.47.mcz
CollectionsTests-md.17.mcz
Compiler-md.38.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-md.6.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.98.mcz
KernelTests-md.26.mcz
Morphic-md.69.mcz
MorphicExtras-md.11.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.291.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-stephaneducasse.274.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.29.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.25.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.29.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-md.5.mcz
System-md.68.mcz
Tests-md.13.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.58.mcz
Traits-md.205.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/22/2006 10:38'!
script38
	
| names |
names := '
39Deprecated-md.10.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.47.mcz
CollectionsTests-md.17.mcz
Compiler-md.38.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-jmv.9.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.98.mcz
KernelTests-md.26.mcz
Morphic-jmv.72.mcz
MorphicExtras-jmv.14.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.291.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-cwp.274.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.29.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.25.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.29.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-md.5.mcz
System-md.68.mcz
Tests-md.13.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.58.mcz
Traits-md.205.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/22/2006 11:56'!
script39
	
| names |
names := '
39Deprecated-md.10.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.47.mcz
CollectionsTests-md.17.mcz
Compiler-md.39.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-sd.6.mcz
EToys-jmv.9.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.99.mcz
KernelTests-md.27.mcz
Morphic-jmv.72.mcz
MorphicExtras-jmv.14.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.292.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.275.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.30.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.25.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.29.mcz
StarSqueak-sd.6.mcz
SUnit-stephaneducasse.29.mcz
SUnitGUI-md.5.mcz
System-md.69.mcz
Tests-md.13.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.59.mcz
Traits-md.205.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/16/2006 16:43'!
script4
	"Removed dictionary fixes + Delay class comment + TTCFont speedup + menuMorph enh
	+ handMorph cursor enh"
	
	| vm names  |
repository _ MCHttpRepository
                location: 'http://source.squeakfoundation.org/39a'
                user: ''
                password: ''.

names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-stephaneducasse.31.mcz
CollectionsTests-stephaneducasse.9.mcz
Compiler-stephaneducasse.12.mcz
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-stephaneducasse.13.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.39.mcz
KernelTests-md.9.mcz
Morphic-stephaneducasse.50.mcz
MorphicExtras-stephaneducasse.3.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.8.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.17.mcz
NetworkTests-md.7.mcz
PackageInfo-md.3.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-md.26.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.43.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.32.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

vm _ MCVersionMerger new.
names
    do: [:fn | vm addVersion: (repository loadVersionFromFileNamed: fn)]
    displayingProgress: 'Adding versions...'.
vm merge

! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/22/2006 22:50'!
script40
	
| names |
names := '
39Deprecated-md.10.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.48.mcz
CollectionsTests-md.17.mcz
Compiler-md.40.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.10.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.100.mcz
KernelTests-md.28.mcz
Morphic-md.73.mcz
MorphicExtras-md.15.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.292.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-sd.6.mcz
Network-CdG.21.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.275.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-stephaneducasse.2.mcz
PlusTools-md.32.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.25.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-stephaneducasse.28.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.30.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.71.mcz
Tests-md.14.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.60.mcz
Traits-md.207.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/25/2006 00:12'!
script41
	
| names |
names := '
39Deprecated-md.10.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Morphic-Balloon-ar.1.mcz
Morphic-TrueType-ar.1.mcz
Collections-md.49.mcz
CollectionsTests-md.17.mcz
Compiler-md.41.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.10.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.101.mcz
KernelTests-md.28.mcz
Morphic-md.74.mcz
MorphicExtras-md.16.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.292.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.22.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.33.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.25.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.30.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.72.mcz
Tests-md.14.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.61.mcz
Traits-md.207.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 2/28/2006 12:23'!
script42
	
| names |
names := '
39Deprecated-md.10.mcz
Balloon-ar.9.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.49.mcz
CollectionsTests-md.17.mcz
Compiler-md.42.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.11.mcz
FFI-CdG.4.mcz
Files-stephaneducasse.15.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-stephaneducasse.26.mcz
GraphicsTests-md.3.mcz
Kernel-md.102.mcz
KernelTests-md.28.mcz
Morphic-md.75.mcz
MorphicExtras-md.17.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.293.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.22.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.4.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.33.mcz
PreferenceBrowser-stephaneducasse.29.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.26.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-stephaneducasse.4.mcz
ST80-md.30.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.73.mcz
Tests-md.14.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.62.mcz
Traits-md.208.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/4/2006 09:41'!
script43
	
| names |
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.50.mcz
CollectionsTests-md.17.mcz
Compiler-md.43.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.12.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-ar.30.mcz
GraphicsTests-ar.8.mcz
Kernel-md.103.mcz
KernelTests-md.29.mcz
Morphic-md.76.mcz
MorphicExtras-md.17.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.293.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.22.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.26.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.30.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.74.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.63.mcz
Traits-md.210.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/5/2006 21:11'!
script44
	
| names |
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.50.mcz
CollectionsTests-md.17.mcz
Compiler-md.43.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.12.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-ar.30.mcz
GraphicsTests-ar.8.mcz
Kernel-md.104.mcz
KernelTests-md.29.mcz
Morphic-md.77.mcz
MorphicExtras-md.17.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.293.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.23.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.26.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.30.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.74.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.63.mcz
Traits-md.211.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/9/2006 16:49'!
script45
	
| names |
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.50.mcz
CollectionsTests-md.17.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.12.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-ar.30.mcz
GraphicsTests-ar.8.mcz
Kernel-md.105.mcz
KernelTests-md.30.mcz
Morphic-md.77.mcz
MorphicExtras-md.17.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.293.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.23.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.26.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.76.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.64.mcz
Traits-md.212.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/14/2006 19:06'!
script46
	
| names |
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.51.mcz
CollectionsTests-md.17.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.12.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-ar.30.mcz
GraphicsTests-ar.8.mcz
Kernel-md.105.mcz
KernelTests-md.30.mcz
Morphic-md.79.mcz
MorphicExtras-md.19.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.293.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.23.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-stephaneducasse.8.mcz
Services-Base-md.26.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.76.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.65.mcz
Traits-md.212.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/15/2006 20:10'!
script47
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.52.mcz
CollectionsTests-md.17.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.13.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.31.mcz
GraphicsTests-ar.8.mcz
Kernel-md.106.mcz
KernelTests-md.30.mcz
Morphic-md.80.mcz
MorphicExtras-md.20.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-stephaneducasse.11.mcz
Nebraska-md.7.mcz
Network-md.23.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.9.mcz
Services-Base-md.26.mcz
SMBase-stephaneducasse.71.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.30.mcz
SUnitGUI-md.5.mcz
System-md.77.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.65.mcz
Traits-md.212.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/17/2006 18:16'!
script48
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.53.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.14.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.32.mcz
GraphicsTests-ar.8.mcz
Kernel-md.107.mcz
KernelTests-md.30.mcz
Morphic-md.81.mcz
MorphicExtras-md.21.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-md.12.mcz
Nebraska-md.8.mcz
Network-md.24.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.9.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-md.5.mcz
System-md.78.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-md.212.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/18/2006 18:31'!
script49
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.53.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.14.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.32.mcz
GraphicsTests-ar.8.mcz
Kernel-al.109.mcz
KernelTests-md.30.mcz
Morphic-md.82.mcz
MorphicExtras-md.21.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-md.12.mcz
Nebraska-md.8.mcz
Network-md.24.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.9.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-md.5.mcz
System-md.78.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'al 10/14/2005 11:50'!
script5
	"0000854: Long Delay schedules a deferred image crash
	0001552: [FIX] WorldState>>runStepMethodsIn:
	"
	
	| names |

	names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-stephaneducasse.31.mcz
CollectionsTests-stephaneducasse.9.mcz
Compiler-stephaneducasse.12.mcz
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-stephaneducasse.13.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.40.mcz
KernelTests-stephaneducasse.10.mcz
Morphic-stephaneducasse.51.mcz
MorphicExtras-stephaneducasse.3.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.8.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.17.mcz
NetworkTests-md.7.mcz
PackageInfo-md.3.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-md.26.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.43.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.32.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true. 

! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/19/2006 14:27'!
script50
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.53.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.15.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.33.mcz
GraphicsTests-ar.8.mcz
Kernel-md.111.mcz
KernelTests-md.30.mcz
Morphic-md.83.mcz
MorphicExtras-md.22.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-stephaneducasse.4.mcz
Multilingual-md.12.mcz
Nebraska-md.8.mcz
Network-md.24.mcz
NetworkTests-gk.8.mcz
OmniBrowser-md.276.mcz
OB-Standard-cwp.93.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.9.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-stephaneducasse.6.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-md.5.mcz
System-md.79.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/20/2006 20:05'!
script51
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.54.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.16.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.33.mcz
GraphicsTests-ar.8.mcz
Kernel-md.111.mcz
KernelTests-md.31.mcz
Morphic-md.84.mcz
MorphicExtras-md.23.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-fbs.6.mcz
Multilingual-md.13.mcz
Nebraska-md.8.mcz
Network-md.24.mcz
NetworkTests-gk.8.mcz
OmniBrowser-cwp.279.mcz
OB-Standard-lr.99.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.3.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.11.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-md.5.mcz
System-md.80.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/21/2006 15:15'!
script52
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-ar.10.mcz
Flash-ar.1.mcz
TrueType-ar.1.mcz
Collections-md.55.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.17.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.33.mcz
GraphicsTests-ar.8.mcz
Kernel-md.111.mcz
KernelTests-md.31.mcz
Morphic-md.85.mcz
MorphicExtras-md.24.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-fbs.6.mcz
Multilingual-md.14.mcz
Nebraska-md.9.mcz
Network-md.25.mcz
NetworkTests-gk.8.mcz
OmniBrowser-cwp.279.mcz
OB-Standard-lr.99.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-md.5.mcz
System-md.81.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/22/2006 21:48'!
script53
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-mir.2.mcz
TrueType-ar.1.mcz
Collections-md.56.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.17.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.33.mcz
GraphicsTests-ar.8.mcz
Kernel-md.111.mcz
KernelTests-md.31.mcz
Morphic-md.86.mcz
MorphicExtras-md.25.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-fbs.6.mcz
Multilingual-md.15.mcz
Nebraska-md.9.mcz
Network-md.26.mcz
NetworkTests-gk.8.mcz
OmniBrowser-cwp.279.mcz
OB-Standard-lr.99.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-lr.6.mcz
System-md.81.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/22/2006 22:54'!
script54
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-mir.2.mcz
TrueType-ar.1.mcz
Collections-md.56.mcz
CollectionsTests-md.18.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.17.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.34.mcz
GraphicsTests-ar.8.mcz
Kernel-md.111.mcz
KernelTests-md.31.mcz
Morphic-md.87.mcz
MorphicExtras-md.25.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-fbs.6.mcz
Multilingual-md.16.mcz
Nebraska-md.10.mcz
Network-md.26.mcz
NetworkTests-gk.8.mcz
OmniBrowser-cwp.279.mcz
OB-Standard-lr.99.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-lr.6.mcz
System-md.81.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.66.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 3/28/2006 21:16'!
script55
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-mir.2.mcz
TrueType-ar.1.mcz
Collections-md.58.mcz
CollectionsTests-sd.22.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.17.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.34.mcz
GraphicsTests-ar.8.mcz
Kernel-md.112.mcz
KernelTests-md.32.mcz
Morphic-md.88.mcz
MorphicExtras-md.26.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.294.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-fbs.6.mcz
Multilingual-md.17.mcz
Nebraska-md.10.mcz
Network-md.26.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.102.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.31.mcz
StarSqueak-sd.6.mcz
SUnit-md.31.mcz
SUnitGUI-lr.6.mcz
System-md.81.mcz
Tests-md.15.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.67.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 4/5/2006 20:01'!
script56
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-mir.2.mcz
TrueType-ar.1.mcz
Collections-md.58.mcz
CollectionsTests-sd.22.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.18.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.34.mcz
GraphicsTests-ar.8.mcz
Kernel-md.112.mcz
KernelTests-md.32.mcz
Morphic-md.90.mcz
MorphicExtras-md.26.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.17.mcz
Nebraska-md.10.mcz
Network-md.26.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.103.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.32.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-lr.6.mcz
System-md.81.mcz
Tests-md.16.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.67.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 4/9/2006 22:04'!
script57
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-mir.2.mcz
TrueType-ar.1.mcz
Collections-md.58.mcz
CollectionsTests-sd.23.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.18.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-stephaneducasse.3.mcz
Graphics-md.34.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.113.mcz
KernelTests-md.32.mcz
Morphic-md.90.mcz
MorphicExtras-md.26.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-sd.18.mcz
Nebraska-md.10.mcz
Network-md.26.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.103.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.26.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.5.mcz
ST80-md.32.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-lr.6.mcz
System-md.81.mcz
Tests-md.16.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.67.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 4/21/2006 17:38'!
script58
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-md.3.mcz
TrueType-md.2.mcz
Collections-md.59.mcz
CollectionsTests-sd.23.mcz
Compiler-md.44.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.19.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-md.4.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-md.114.mcz
KernelTests-md.32.mcz
Morphic-md.92.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.19.mcz
Nebraska-md.10.mcz
Network-md.27.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.103.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-lr.6.mcz
System-md.82.mcz
Tests-md.16.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-stephaneducasse.7.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 4/25/2006 18:51'!
script59
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-md.3.mcz
TrueType-md.2.mcz
Collections-md.60.mcz
CollectionsTests-md.24.mcz
Compiler-md.47.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.20.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-md.4.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-md.116.mcz
KernelTests-md.33.mcz
Morphic-md.93.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-md.27.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.105.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-lr.6.mcz
System-md.83.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-stephaneducasse.14.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-md.9.mcz
FixInvisible-bf.1.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/16/2005 17:28'!
script6
	"to work script 5 should be loaded first."
	
	"Change Set:		scanFor
	Change Set:		withOutLeadingBlanks
	SharedQueue2 : An implementation of a shared queue based on class Monitor. 
	Change Set:		FasterRectangelInsetBy
	Change Set:		Complex-ln-bug-1815-v1
	Change Set:		DebuggerCreateFix-md
	"
	
	| names |
	
	self loadOneAfterTheOther: #('Kernel-md.42.mcz') merge: false.

	names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.32.mcz
CollectionsTests-md.10.mcz
Compiler-md.13.mcz
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-md.14.mcz
GraphicsTests-md.3.mcz
Kernel-md.42.mcz
KernelTests-md.11.mcz
Morphic-stephaneducasse.51.mcz
MorphicExtras-md.4.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.275.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.8.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.17.mcz
NetworkTests-md.7.mcz
PackageInfo-md.3.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.43.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-md.33.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 4/29/2006 22:59'!
script60
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-md.3.mcz
TrueType-md.2.mcz
Collections-md.60.mcz
CollectionsTests-md.24.mcz
Compiler-sd.48.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.20.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-md.4.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.118.mcz
KernelTests-sd.34.mcz
Morphic-md.93.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-md.27.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.105.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-md.83.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-md.9.mcz
FixInvisible-bf.1.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 5/2/2006 21:57'!
script61
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-md.3.mcz
TrueType-md.2.mcz
Collections-md.60.mcz
CollectionsTests-sd.27.mcz
Compiler-sd.48.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.20.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-md.4.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.122.mcz
KernelTests-sd.37.mcz
Morphic-sd.94.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-md.27.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-lr.105.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-md.83.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-md.9.mcz
FixInvisible-bf.1.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 5/4/2006 15:58'!
script62
	
	"0003426: init: method should be renamed initialize: for consistency"
	"0003505: Context menus in ImageBrowser (OmniBrowser) crash due to missing methods in MenuIcons"
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-md.3.mcz
TrueType-md.2.mcz
Collections-sd.63.mcz
CollectionsTests-sd.27.mcz
Compiler-sd.48.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.20.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-md.4.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.124.mcz
KernelTests-sd.37.mcz
Morphic-sd.96.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-md.27.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-sd.106.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-sd.84.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-md.9.mcz
FixInvisible-bf.1.mcz
'  
findTokens: ' ', String cr.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 5/29/2006 20:59'!
script63
	"restore canUnderstand: + introduce canPerform:"
	
| names | 
names := '
39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Flash-md.3.mcz
TrueType-md.2.mcz
Collections-sd.63.mcz
CollectionsTests-sd.27.mcz
Compiler-sd.48.mcz 
Compression-stephaneducasse.4.mcz
Exceptions-md.7.mcz
EToys-md.20.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FlexibleVocabularies-md.4.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.125.mcz
KernelTests-sd.37.mcz
Morphic-sd.96.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-al.295.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-md.27.mcz
NetworkTests-gk.8.mcz
OmniBrowser-lr.281.mcz
OB-Standard-sd.106.mcz
PackageInfo-stephaneducasse.5.mcz
ReleaseBuilder-md.4.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-sd.84.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.214.mcz
Speech-md.8.mcz
VersionNumber-dew.1.mcz
SystemChangeNotification-Tests-sd.5.mcz
FixUnderscores-md.9.mcz
FixInvisible-bf.1.mcz
'  
findTokens: ' ', String cr.

self halt.

	self loadTogether: names merge: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'al 5/7/2006 19:35'!
script64
	
	"See updateFrom7030"
	
| names | 
names := 'Kernel-al.126.mcz
Traits-al.220.mcz
FlexibleVocabularies-al.5.mcz
Monticello-al.296.mcz
System-al.85.mcz'  
findTokens: ' ', String cr.

	self loadOneAfterTheOther: names merge: false.
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 6/20/2006 18:16'!
script65
	"network team + new version of MC with merging 296-297->303
		
	Name: System-gk.45
Author: gk
Time: 21 October 2005, 11:58:31 am
UUID: f8210799-b1de-5f46-b675-8c7b83550503
Ancestors: System-gk.44

Two good refactorings based on work from Bernard Pieber for Mantis #861 in the Network package. These depend on changes in the Network package:
 
- Project class>>fromUrl:
- ProjectLoading class>>bestAccessToFileName:andDirectory:

This also removes the only sender of Project class>>serverFileFromURL: and we could nuke it, but we leave that decision for the System stewards. :)"

"Name: Network-sd.30
Author: sd
Time: 29 May 2006, 9:29:37 pm
UUID: 6da57032-4ee0-412e-830a-e6169251929e
Ancestors: Network-KLC.27, Network-tb.28, Network-tb.29

merge 
Network-tb-29, tb-28, KLC27 with netweork-md.27

Name: Network-tb.29
Author: tb
Time: 24 May 2006, 10:23:58 pm
UUID: dfdd5a1c-4494-41da-afff-925a1597b1c3
Ancestors: Network-md.27

Fixes to address http://bugs.impara.de/view.php?id=2107  FileDirectory class>>retrieveMIMEDocument: class non-existent MIMEType class>forExtension:

Name: Network-tb.28
Author: tb
Time: 24 May 2006, 9:10:03 pm
UUID: 75f7e92a-6087-4223-a373-9d6516cd35e1
Ancestors: Network-md.27

Fix for http://bugs.impara.de/view.php?id=2454 - correctly set accent-type in HttpUrl retrieveContents so fetches of .css files succeed

Name: Network-KLC.27
Author: KLC
Time: 3 April 2006, 11:18 am
UUID: b2510551-ffee-4449-94c5-48d8c31bef77
Ancestors: Network-md.26, Network-gk.18, Network-KLC.21, Network-gk.23

This is a merge of:

Network-gk.18.mcz
Network-KLC.21.mcz
Network-gk.23.mcz

Combined notes:

Network-gk.18:

Changes:

- Adds #fileName to FileUrl and HierarchicalUrl (with HttpUrl as subclass), ok - I think that is fair even if the last part of the path not necessarily denotes a file.
- Adds Url class>>directoryUrl to FileUrl and HierarchicalUrl (with HttpUrl as subclass) which simply returns a new URL with the last element in the path removed.
- Adds #absoluteFromFileNameOrUrlString: which then is used from two different places (refactoring).
- A fix so that copying a URL does not share the path collection with the original. Not sure exactly if this has caused an actual bug yet, but I agree it is a good idea to not share.
- Fix bug in FileUrl>>pathForDirectory which used an explicit pathname delimiter in one place. Duh.
- Removed class MswUrl, sorry but this should not be in standard Network package IMHO. There is no use of it in the current image.

Non behavior changes:

- Refactoring adding Url class>>urlClassForScheme:.
- Improved naming in ServerDirectory class>>serverForURL:, no actual code change.
- Refines and adds lots of comments here and there.

Differences from proposed changes from Bernard Pieber in Mantis #861:

- Did not include the proposed HierarchicalPath>>pathForDirectory because it doesn t return a path (like the same method in FileUrl does), instead it returns a URL turned into a String. I changed the few senders that Bernard Pieber (Mantis #861) introduced to directoryUrl asString instead.
- Did not add isSuperSwikiUrl, it does not belong there. It is a hack from the start.

Network-KLC.19:

This is an adaptation of the updated provided by Patrick Mauritz at Mantis ID #0411:

Change Set: Enh-ConnectionQueue
Date: 16 October 2004
Author: Patrick Mauritz

Allow classes to subscribe to the ConnectionQueue via addDependent: to get notifications when new connections are opened.
Receivers need to implement update:aSocket for this to work.
Thanks to Ken Causey for guidance on IRC.

I adapted Patrick s changes to ConnectionQueue>>listenLoop the result being that a check for a ConnectedTimedOut exception is added and a call to self changed on successful connection. Otherwise this should be the same as previously in the image.

Network-KLC.20:

As reported in Mantis ID #2106 this method included a call to the now non-existent Notification class>deprecated method. I ve replaced that call. With what I think is the appropriate mechanism.

The next question is at what point do deprecated methods get removed entirely?

Network-KLC.21:

This removes 3 methods that had no implementation other than calls to self halt. None of the 3 methods were being used and it didn t appear that they would likely ever be used.

Network-gk.23:

Fix for Mantis #2119, the simplest one described.

Fix for Mantis #1585, moved 3 test methods from OldSocket class to Socket and updated the code so that it works.

Doing the above I also fixed an issue in
Socket>>waitForDisconnectionFor:, it was wrongly waiting on semaphore instead of self readSemaphore. I also removed an unnecessary call to dataAvailable, unneeded temp var #extraBytes etc. The problem was that loopbackTest randomly hung in this method.

Optimized Socket>>discardReceivedData, unneeded call to dataAvailable removed.

Better class comments in ProtocolClient, Socket and SocketStream.

Improved comment in Socket>>closeAndDestroy:'


	Name: Monticello-al.297
	
	Time: 9 May 2006, 4:54:21 pm
	UUID: bc893983-a6cd-430c-bf5d-a4d60fdb04b3
	Ancestors: Monticello-al.295

	- fix loading traits with empty trait composition

New version merging 296 and 297 -> MC 303!!
"

	| names|
names := '39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Collections-sd.63.mcz
CollectionsTests-sd.27.mcz
Compiler-sd.48.mcz
Compression-stephaneducasse.4.mcz
EToys-md.20.mcz
Exceptions-md.7.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-md.3.mcz
FlexibleVocabularies-al.5.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-al.126.mcz
KernelTests-sd.37.mcz
Monticello-sd.303.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.96.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-sd.106.mcz
OmniBrowser-lr.281.mcz
PackageInfo-stephaneducasse.5.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
ScriptLoader-sd.189.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-sd.86.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.220.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 6/21/2006 11:39'!
script66

	| names|
names := '39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Collections-sd.63.mcz
CollectionsTests-sd.27.mcz
Compiler-sd.48.mcz
Compression-stephaneducasse.4.mcz
EToys-md.20.mcz
Exceptions-md.7.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-md.3.mcz
FlexibleVocabularies-al.5.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.128.mcz
KernelTests-sd.37.mcz
Monticello-sd.304.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.96.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-sd.109.mcz
OmniBrowser-lr.281.mcz
PackageInfo-stephaneducasse.5.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
ScriptLoader-sd.200.mcz
Services-Base-md.27.mcz
SMBase-md.72.mcz
SMLoader-md.29.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-sd.86.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.220.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/4/2006 15:21'!
script67

	| names|
names := '39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Collections-sd.63.mcz
CollectionsTests-sd.27.mcz
Compiler-lr.49.mcz
Compression-stephaneducasse.4.mcz
EToys-md.20.mcz
Exceptions-md.7.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-md.3.mcz
FlexibleVocabularies-al.5.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.128.mcz
KernelTests-lr.38.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.96.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-sd.109.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
ScriptLoader-sd.202.mcz
Services-Base-md.27.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
ST80-md.33.mcz
StarSqueak-sd.6.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
System-sd.87.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.220.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/8/2006 11:17'!
script68

	| names|
names := '39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Collections-lr.64.mcz
CollectionsTests-lr.28.mcz
Compiler-lr.49.mcz
Compression-stephaneducasse.4.mcz
EToys-md.20.mcz
Exceptions-md.7.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-md.3.mcz
FlexibleVocabularies-al.5.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-pmm.130.mcz
KernelTests-lr.38.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.96.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-md.33.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
ScriptLoader-al.206.mcz
Services-Base-md.27.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-sd.87.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.220.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/8/2006 11:13'!
script68Log

"
Name: Kernel-pmm.130
Author: pmm
Time: 6 July 2006, 8:59:24 pm
UUID: ca825d54-f890-4bcb-be38-4a718f29459b
Ancestors: Kernel-al.129

- fix browsing with alt+b for globals like Smalltalk
- push #isTrait to Object like #isBehavior

Name: Kernel-al.129
Author: al
Time: 3 July 2006, 3:58:12 pm
UUID: ea1c48cf-2455-4fa5-ad13-75616626321b
Ancestors: Kernel-sd.128

- small fix of the ClassBuilder (when redefining a class, its class side traits were lost)

Name: Collections-lr.64
Author: lr
Time: 7 July 2006, 11:33:53 am
UUID: b45346c1-0d9b-11db-a7b8-000a9573eae2
Ancestors: Collections-sd.63

- revert string comparison to the 3.7 behavior


Name: CollectionsTests-lr.28
Author: lr
Time: 7 July 2006, 11:34:31 am
UUID: cac623bf-0d9b-11db-a7b8-000a9573eae2
Ancestors: CollectionsTests-sd.27

- revert string comparison to the 3.7 behavior

Name: OB-Standard-al.112
Author: al
Time: 7 July 2006, 11:14:56 am
UUID: fd3a8638-1e50-45b5-ad4a-f5224054a331
Ancestors: OB-Standard-pmm.111

- manually merged in Alex' enhancement:

Enhancement: When you find a class by pressing Alt-f for example, you may have a very long list. Even if you type the exact name of the class. This changeset place as the first choice the class you entered.

For instance, try to search for Object. You have a very long list, this change makes Object the first entry of the menu
"
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/8/2006 19:09'!
script69

	| names|
names := '39Deprecated-md.11.mcz
Balloon-mir.11.mcz
Collections-sd.67.mcz
CollectionsTests-sd.30.mcz
Compiler-lr.49.mcz
Compression-stephaneducasse.4.mcz
EToys-md.20.mcz
Exceptions-md.7.mcz
FFI-CdG.4.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-md.3.mcz
FlexibleVocabularies-al.5.mcz
Graphics-md.35.mcz
GraphicsTests-ar.8.mcz
Kernel-sd.132.mcz
KernelTests-sd.39.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.97.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-md.33.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
ScriptLoader-sd.210.mcz
Services-Base-md.27.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-sd.87.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.220.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/8/2006 19:08'!
script69Log

"
0003784: String>>unescapePercentsWithTextEncoding: is subtle broken
http://bugs.impara.de/view.php?id=3784

0003568: [FIX] Fraction>>asFloat does not answer nearest floating point number

0003564: LargeInteger>>asFloat does not honour IEEE rounding mode

0004078: Misuse of #inject:into: in DependentsArray>>size

0003339: [Fix] Simple button morphs don't reset their color properly when balked.

0003531: [Fix] In 7027 Scriptable button now turns wrong color when balked.

"
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/19/2005 09:37'!
script7
	"test..."
	
	"Compiler al: 0001820: Parser>>parseArgsAndTemps: broken
	removed Package list
	hardcoded fileList reference
	"
	
	| names |
	
	self loadOneAfterTheOther: #('Kernel-md.42.mcz') merge: false.

	names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.32.mcz
CollectionsTests-md.10.mcz
Compiler-sd.14.mcz 
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-md.14.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.43.mcz
KernelTests-md.11.mcz
Morphic-stephaneducasse.51.mcz
MorphicExtras-md.4.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-md.275.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.8.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.17.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.43.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.34.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/10/2006 20:25'!
script70

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-pmm.68.mcz
CollectionsTests-sd.30.mcz
Compiler-lr.50.mcz
Compression-ar.8.mcz
EToys-md.20.mcz
Exceptions-md.7.mcz
FFI-ar.11.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.38.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.132.mcz
KernelTests-lr.40.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.97.mcz
MorphicExtras-md.27.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-md.10.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-md.33.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
ScriptLoader-sd.216.mcz
Services-Base-md.27.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-sd.87.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.220.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/9/2006 23:02'!
script70Log

"
Name: Compiler-lr.50
Author: lr
Time: 9 July 2006, 7:56:43 pm
UUID: 47ef9423-0f74-11db-b64a-000a9573eae2
Ancestors: Compiler-lr.49

- fixed more pragma bugs (throw an error for <1> and <foo bar>)
Name: Collections-pmm.68
Author: pmm
Time: 9 July 2006, 11:53:56 am
UUID: 20686bef-7acd-4afc-a610-a4485c82ffb1
Ancestors: Collections-sd.67

changes with respect to: http://bugs.impara.de/view.php?id=1876
- changed Set class >> #new: according to comments of ar, this fixes the hiccup at around 4k elements
- removed the progress bar from Set class >> #rehash all sets. This allows to load the changesets and makes in possibly faster (old version waits 2ms for each set when querying the mouse position)

Name: Balloon-ar.13
Author: ar
Time: 5 April 2006, 12:23:02 am
UUID: bdaaa697-27c2-4049-a7e8-13e44a41f929
Ancestors: Balloon-ar.11

- replace underscore assignment with colon-equals
Name: Compression-ar.8
Author: ar
Time: 5 April 2006, 12:25:07 am
UUID: 3c075d58-b256-704c-9870-6998a0c8e9ce
Ancestors: Compression-ar.6

- replace underscore assignment with colon-equals

Name: FFI-ar.11
Author: ar
Time: 8 July 2006, 9:25:14 pm
UUID: e964ce57-a9a6-2a4e-9572-685f6b711fba
Ancestors: FFI-ar.10

- include non-Mantis fixes

Name: Flash-ar.5
Author: ar
Time: 8 July 2006, 9:21:53 pm
UUID: d7099247-3e7a-d742-921d-8dd73cf0fa07
Ancestors: Flash-ar.4

- include improved image supports

Name: Graphics-ar.38
Author: ar
Time: 8 July 2006, 8:51:07 pm
UUID: 38143d92-893f-ec4f-9882-0e7d947ca710
Ancestors: Graphics-ar.37

- include fix for BitBlt rounding

Name: GraphicsTests-ar.9
Author: ar
Time: 8 July 2006, 7:08:18 pm
UUID: ce2beab2-9473-4d49-8302-b959486e7bf8
Ancestors: GraphicsTests-ar.8

- Integrate http://bugs.impara.de/view.php?id=3804
"
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/12/2006 22:57'!
script71

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-pmm.68.mcz
CollectionsTests-sd.30.mcz
Compiler-lr.50.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-md.7.mcz
FFI-ar.11.mcz
Files-md.16.mcz
FixInvisible-bf.1.mcz
FixUnderscores-md.9.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.38.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.134.mcz
KernelTests-sd.41.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.99.mcz
MorphicExtras-sd.28.mcz
MorphicTests-stephaneducasse.4.mcz
Movies-md.7.mcz
Multilingual-md.20.mcz
Nebraska-sd.11.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-md.30.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-md.33.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
ScriptLoader-sd.231.mcz
Services-Base-md.27.mcz
SmaCC-fbs.8.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-sd.87.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-al.221.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/12/2006 19:13'!
script71Log

"
0004166: Fix for rejected Graphics extensions
Description
The following extensions to the graphics packages have been proposed and rejected:
Color class>>saturatedRandom
Form>>dominantColorWithoutTransparent
The attached CS provides code such that Kedama works correctly without the rejected extensions.
'From Squeak3.9alpha of 4 July 2005 [latest update: #7035] on 8 July 2006 at 8:35:26 pm'!!
Change Set:		KedamaFix
Date:			8 July 2006
Author:			Andreas Raab

Change set for rejected extensions Color class>>saturatedRandomColor and Form>>dominantColorWithoutTransparent


0004168: Fix for Color's colorPalette: removal
Description
Color>>colorPaletteForDepth: has been removed to avoid the dependency between Color and NaturalLanguageTranslator. The attached change set provides an implementation in ColorPickerMorph and fixes the existing references.

0004169: StrikeFont>>decodedFromRemoteCanvas: does not belong to Graphics
Description
StrikeFont>>decodedFromRemoteCanvas: was included in the graphics package. The attached change set puts it under Nebraska, where it belongs.

0004170: Fix for rejected SmallLand extensions of Graphics
Description
The following proposed extensions of the Graphics package have been rejected:
- Color>>iconOrThumbnailOfSize:
- Form>>iconOrThumbnailOfSize:
- Form>>scaledIntoFormOfSize:
The attached change sets provides them as *Morphic extensions.

0003821: addMonths: does not handle leap years correctly

"
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/13/2006 17:22'!
script72

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-pmm.68.mcz
CollectionsTests-sd.30.mcz
Compiler-lr.50.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-ar.11.mcz
Files-md.17.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.38.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.138.mcz
KernelTests-sd.42.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.99.mcz
MorphicExtras-sd.29.mcz
MorphicTests-md.5.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-sd.34.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
ScriptLoader-sd.243.mcz
Services-Base-md.27.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-md.88.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-sd.15.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-stephaneducasse.16.mcz
ToolBuilder-SUnit-stephaneducasse.10.mcz
Tools-md.68.mcz
Traits-sd.222.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/13/2006 17:16'!
script72Log

	"Smacc
	preferenceBrowser
	underscore
	
	Name: Kernel-md.135
Author: md
Time: 12 July 2006, 10:25:06 pm
UUID: 61de8206-a937-4ad9-a401-c82f20946fa0
Ancestors: Kernel-sd.134

fix CompiledMethod>>#= to ignore the last two literals
(we may want to extend it to take pragmas into account
for equality later...)
	
	Name: Files-md.17
Author: md
Time: 12 July 2006, 11:10:35 pm
UUID: e4f7668b-a5ed-4a46-b9ce-a100fc0985fd
Ancestors: Files-md.16

0003723: [FIX] DosFileDirectoryTests>>testFileDirectoryNonExistence
Description
The change set included with this bug report fixes the test DosFileDirectoryTests>>testFileDirectoryNonExistence

Name: MorphicTests-md.5
Author: md
Time: 12 July 2006, 11:09:16 pm
UUID: f2394cd3-e068-4a37-acfd-0258e0937a9a
Ancestors: MorphicTests-stephaneducasse.4

0003566: TileMoprhTest>>testSoundMorph fails; fix attached
Description
in 3.9a 7029 (and 3.8 6665) TileMoprhTest>>testSoundMorph fails because it expects 'silence' to be one up from 'croak' but the menu provides 'horn'. This just fixes the test.
	
	0003571: EventManager commen
Description
In 3.9a 7029 (and earlier) EventManagerTest produces one failure because of missing class comments. This cs adds reasonable class comments for EventManager and two related classes as part of the effort to get all tests to run green.

0003729: [FIX] FontTest>>testResetAfterEmphasized

Name: Exceptions-sd.8
Author: sd
Time: 13 July 2006, 3:15:11 pm
UUID: 169d4c2b-c7f8-44bd-8621-ffcf2feb1c97
Ancestors: Exceptions-md.7

0000530: ExceptionTests>>#testTimeout works only some of the time
Description
When I run this test several times with the SUnit Test Runner it sometimes works and sometimes fails

0003648: explicit ^self in #yourself
Description
... when it's important to return self, write it. (from the best practice patterns). yourself would
be a nice example to show this in a lecture.

0003628: refactoring for hasInstVarRef
Description
hasInstVarRef was only defined on the Context, this one moved the implementation from
MethodContext to compiledMethod (and just forwards from MethodContext).

Additionally, the changeset has a small refactoring to use BlockContext>>#endPC in BlockContext>>#hasInstVarRef

0003529: BlockContextTest tests fail in 7025; fix attached
Description
In 3.9a 7025 four BlockContextTest tests failed because Jerome Peace's valueSupplyingAnswers: functionality was regressed out of PopUpMenu when icons where added to the menu. I suspect that the reason this wasn't caught is that the change was made to PopUp but the relevant s-unit tests were in BlockContextTest, so I added an test few method for the so called ST80-Menus. There was also one trivial error in a single BlockContextTest which I fixed.
Without this fix running the test requires user responses on the four failing tests and several other.

	"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/14/2006 13:36'!
script73

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.69.mcz
CollectionsTests-md.31.mcz
Compiler-lr.50.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-ar.11.mcz
Files-md.17.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.139.mcz
KernelTests-sd.42.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.99.mcz
MorphicExtras-sd.29.mcz
MorphicTests-md.5.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-sd.30.mcz
NetworkTests-gk.8.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-sd.35.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
ScriptLoader-sd.247.mcz
Services-Base-md.27.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-md.88.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-ar.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-ar.11.mcz
Tools-md.68.mcz
Traits-sd.222.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/14/2006 13:35'!
script73Log

	"	
	Name: Graphics-ar.39
Author: ar
Time: 13 July 2006, 11:01:44 am
UUID: 8493073d-14aa-7643-9a13-574d84f7b2c3
Ancestors: Graphics-ar.38

- include fix from http://bugs.impara.de/view.php?id=3570
+ test

http://squeaksource.com/ToolBuilder/ToolBuilder-Kernel-ar.16.mcz
http://squeaksource.com/ToolBuilder/ToolBuilder-Morphic-ar.19.mcz
http://squeaksource.com/ToolBuilder/ToolBuilder-SUnit-ar.11.mcz
http://squeaksource.com/ToolBuilder/ToolBuilder-MVC-dtl.12.mcz

The main change is that some support for menus has been added.

Name: CollectionsTests-md.31
Author: md
Time: 14 July 2006, 12:38:43 pm
UUID: 58b1f6ed-6778-4e8b-a006-6a3a42c75b5a
Ancestors: CollectionsTests-sd.30, CollectionsTests-dc.29


0003829: [FIX] Better tests for Stack
Description
I modify my tests for the Stack class. They do not call private methods anymore.

----------------------------


Name: Collections-md.69
Author: md
Time: 14 July 2006, 12:36:25 pm
UUID: 6164f840-096e-4191-b280-9a492bea167f
Ancestors: Collections-pmm.68

0003887: SequenceableCollection>>, wrong comment

----------------------------

Name: Kernel-md.139
Author: md
Time: 14 July 2006, 12:42:52 pm
UUID: 7de16533-743b-438b-84ac-e57243b709a4
Ancestors: Kernel-sd.138

In 3.9b-7029, WeakMessageSendTest fails for lack of class comments. I spent about a hour studying the class and provided a reasonable class comment.
All KernalTests-Objects now run green.

- fix for Paragrapheditor>>#prettyPrint:

----------------------------

	
	"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/14/2006 20:50'!
script74


	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.69.mcz
CollectionsTests-md.31.mcz
Compiler-md.51.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-ar.11.mcz
Files-md.17.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.140.mcz
KernelTests-sd.42.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.102.mcz
MorphicExtras-md.30.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-sd.35.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.27.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.8.mcz
StarSqueak-sd.6.mcz
System-md.89.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-ar.16.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-ar.11.mcz
Tools-md.69.mcz
Traits-sd.222.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: true.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/14/2006 19:54'!
script74Log

	"
	Name: Compiler-md.51
Author: md
Time: 14 July 2006, 4:39:56 pm
UUID: be84aa2e-c1fc-4783-886b-42ba38142007
Ancestors: Compiler-lr.50

removed broken tests

===================================

Name: Kernel-md.140
Author: md
Time: 14 July 2006, 4:41:50 pm
UUID: f3d2af43-b5d8-4404-b1a8-fa2c562dee3b
Ancestors: Kernel-md.139

0003993: Number does not read '1.0e-10 .txt' from file

====================================

Name: Network-md.32
Author: md
Time: 14 July 2006, 4:55 pm
UUID: 44e40f51-06fe-4d40-8b7a-33ca8d0157b1
Ancestors: Network-md.31

0003762: (Fast)SocketStream's class comment has not been updated since image inclusion


Name: Morphic-md.102
Author: md
Time: 14 July 2006, 4:52:08 pm
UUID: 1ada4657-9c73-47ec-b9c3-0f68d6c1a8d7
Ancestors: Morphic-md.101, Morphic-md.100

merge with 100

Name: Morphic-md.101
Author: md
Time: 14 July 2006, 4:44:01 pm
UUID: 55361be6-6ac2-4005-a77c-9b56ee4f02b0
Ancestors: Morphic-sd.99

0003747: TransformMorph crashes when picked up by handMorph after scaleFactor: is called

0003533: [Enh] Targetsighting menu items want to use a target sight as a cursor.


====================================
Name: NetworkTests-md.9
Author: md
Time: 14 July 2006, 4:56:20 pm
UUID: 8ce5bafc-7d80-4ea8-9730-beeced99ff08
Ancestors: NetworkTests-gk.8

0003589: [BUG][FIX] UUIDPrimitivesTest>>testCreationRandom


====================================

Name: Tools-md.69
Author: md
Time: 14 July 2006, 4:58:37 pm
UUID: b40e0d66-5103-449d-946d-7cc8bdb4c6c6
Ancestors: Tools-md.68

Fix for FilecontentsBrowser>>browseStream

	
	
	Name: Morphic-md.100
Author: md
Time: 14 July 2006, 2:52:06 pm
UUID: da4fe617-8ded-40e8-810e-6d60c3a8e551
Ancestors: Morphic-sd.99

0003530: SimpleSwitchMorph does not actually implement switch functionality
0003690: CircleMorph has inimplemented message sends

========================================

Name: MorphicExtras-md.30
Author: md
Time: 14 July 2006, 2:57:01 pm
UUID: fdd65f8d-6bae-41aa-acaa-505086574ca4
Ancestors: MorphicExtras-sd.29

0003530: SimpleSwitchMorph does not actually implement switch functionality

=========================================

Name: MorphicTests-md.6
Author: md
Time: 14 July 2006, 3:02:09 pm
UUID: 12154457-e61a-4c5c-bc48-828ee1a9d733
Ancestors: MorphicTests-md.5

0003530: SimpleSwitchMorph does not actually implement switch functionality

0003690: CircleMorph has inimplemented message sends

0003699: [BUG][FIX]ClockMorph toggleRoman broken

=========================================

Name: Network-md.31
Author: md
Time: 14 July 2006, 3:04:24 pm
UUID: 427298a6-340d-4916-ad92-1b0303a4dbff
Ancestors: Network-sd.30

0003264: (Fast)SocketStream SocketStream>>print: missing

=============================================

Name: System-md.89
Author: md
Time: 14 July 2006, 3:08:03 pm
UUID: 4e78aa2c-2640-44bd-9c19-814b516c15d7
Ancestors: System-md.88

0003647: Smalltalk>>version should not be deprecated

- Commenrt for MessageSend
"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/15/2006 21:54'!
script75

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.69.mcz
CollectionsTests-md.32.mcz
Compiler-md.51.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.142.mcz
KernelTests-md.44.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.104.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard-al.112.mcz
OmniBrowser-lr.281.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-gk.84.mcz
SMLoader-gk.31.mcz
ST80-sd.35.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.27.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.90.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.69.mcz
Traits-sd.222.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/15/2006 18:39'!
script75Log


	"ToolBuilder colin fixes
		http://bugs.impara.de/view.php?id=3588 was bogus
		
	Name: Morphic-md.103
Author: md
Time: 14 July 2006, 9:32:32 pm
UUID: e9a3551d-a01a-4129-959a-87afdea47a97
Ancestors: Morphic-md.102

0003753: Loading a .morph file from FileList causes error: Invalid utf8 input detected

=================================

Name: MorphicExtras-md.31
Author: md
Time: 14 July 2006, 9:35:39 pm
UUID: 28f52c31-f38d-4cd2-b659-2fa4d9eb0f8d
Ancestors: MorphicExtras-md.30

0003753: Loading a .morph file from FileList causes error: Invalid utf8 input detected

====================================


Name: KernelTests-md.43
Author: md
Time: 14 July 2006, 9:31:17 pm
UUID: 3b672bd1-ae61-4344-b4e9-e5400a269725
Ancestors: KernelTests-sd.42

0003512: Number>>readFrom: does not handle error cases correctly


===================================


Name: Kernel-md.141
Author: md
Time: 14 July 2006, 9:29:25 pm
UUID: 00e649d3-606d-4d42-b9e5-548e765bf1fd
Ancestors: Kernel-md.140

0002151: Max number of literals checked in MethodNode instead of CompiledMethod

0003512: Number>>readFrom: does not handle error cases correctly

================================

Name: CollectionsTests-md.32
Author: md
Time: 15 July 2006, 6:12:47 pm
UUID: b44f4f02-6ab0-40cf-8717-3604be42fdf6
Ancestors: CollectionsTests-md.31

test from 0003574: String>>findFirstInString:inSet:startingAt: does not work if character of interest is last character in String, also WideString

0004265: SUnit test WeakIdentityKeyDictionaryTest>>testNoNils fails


===================================

Name: Files-md.18
Author: md
Time: 15 July 2006, 6:13:59 pm
UUID: 50358b69-2700-4d87-a768-b80af0d4bc68
Ancestors: Files-md.17

0004266: AsyncFile class variable Error collides with global class name

======================================


Name: Kernel-md.142
Author: md
Time: 15 July 2006, 6:16:17 pm
UUID: bc06ef54-5012-4b93-805f-f0ea2a234cd7
Ancestors: Kernel-md.141

0002120: Remove Object>>externalCallFailed from Kernel package
0004138: ScaledDecimals are parsed incorrectly in 3.9b-7036
0003609: Integer >> crossSumBase: aBase\
0003820: Code or comment in Date>>fromString: incorrect

=======================

Name: KernelTests-md.44
Author: md
Time: 15 July 2006, 6:17:58 pm
UUID: 7fa2d72a-b000-4964-9607-7e92f885ba35
Ancestors: KernelTests-md.43

0004138: ScaledDecimals are parsed incorrectly in 3.9b-7036
0003609: Integer >> crossSumBase: aBase\
0004260: SUnit test ClassBuilderChangeClassTypeTest>>testClassCreationAndChange fails

===========================

Name: Morphic-md.104
Author: md
Time: 15 July 2006, 6:19:45 pm
UUID: b6fe7c5a-13b0-447f-af8b-a2bce9939684
Ancestors: Morphic-md.103

0003526: DNU when detaching a submenu

==============================

Name: Speech-md.9
Author: md
Time: 15 July 2006, 6:21:12 pm
UUID: d8ae2a9c-d222-4eac-b069-6d31a5c457f9
Ancestors: Speech-md.8

0003506: some _ wrongly converted to _

Name: FFI-md.12
Author: md
Time: 15 July 2006, 6:27:16 pm
UUID: b53777ee-054a-4055-9730-7b9b92874d8d
Ancestors: FFI-ar.11

add Object>>#externalCallFailed

Name: System-md.90
Author: md
Time: 15 July 2006, 6:30:58 pm
UUID: e1372493-ff32-47ca-b091-4685e893552a
Ancestors: System-md.89

0003790: Text cursor too bright
First part	
	
	"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/16/2006 16:40'!
script76

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.69.mcz
CollectionsTests-md.32.mcz
Compiler-md.51.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.142.mcz
KernelTests-md.44.mcz
Monticello-al.305.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.104.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.31.mcz
ST80-sd.35.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.27.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.90.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.69.mcz
Traits-sd.223.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 7/16/2006 16:39'!
script76Log

	"smbase fixed
	traits undeclared fixed
	http://source.squeakfoundation.org/inbox/OmniBrowser.39-cwp.1.mcz
http://source.squeakfoundation.org/inbox/OB-Standard.39-cwp.3.mcz"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 7/23/2006 12:37'!
script77

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.51.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.144.mcz
KernelTests-md.45.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.107.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.27.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.90.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.71.mcz
Traits-al.224.mcz
TrueType-md.2.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 7/23/2006 12:34'!
script77Log

	"
0004312: Refactoring for behavior>>#new
0004307: DependentsArray>>copyWith:
0003133: [BUG][FIX] Float>>#asIEEE32BitWord and #fromIEEE32Bit:
0003309: In 7008 Requesting setTarget for menus can get a UndefinedObject DNU>isHandMorph
004249: SmLoader>>#categorySpecificOptions has a . after the variable definition
0004298: OrderedCollection>>#removeLast: 2; size is negative	
0004314: CleanUpMacOptionKeyPressed-md.cs
0003765: ChangeLists and VersionBrowsers don't respect standardCodeFont preference.
0003777: In 7033 In ImageBrowser (omnibrowser) copyListToClipboard menu item causes a DNU.
0004273: small fix for prettyprinting (for 3.9)

=============
	Name: Monticello-al.306
Author: al
Time: 18 July 2006, 3:53:31 pm
UUID: 2db4087e-d6a1-46d2-92bc-04f50020ff54
Ancestors: Monticello-al.305

merge in changes of Monticello-avi.276 and Monticello-avi.277 from the SqS MC repository:

- Don't allow the active repo to be switched mid commit.
- Minor optimization to dependency commits.
=================
Name: Traits-al.224
Author: al
Time: 21 July 2006, 10:06:32 pm
UUID: 3e5920f4-7cd8-40e4-b69f-7441f240f68b
Ancestors: Traits-sd.223

- expected sentinfo test failures
================




	"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 7/23/2006 13:29'!
script78

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.51.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixInvisible-bf.1.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.144.mcz
KernelTests-md.45.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.107.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PlusTools-md.34.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.32.mcz
SUnitGUI-sd.7.mcz
Services-Base-rr.29.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.91.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.71.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 7/23/2006 13:29'!
script78Log

	"
- Load: TrueType-ar.4
- load 0003766: Hundreds of methods have source containing LF characters
- Services-Base-rr.29
	"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 8/2/2006 18:04'!
script79

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.146.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.110.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.91.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 10/28/2005 21:25'!
script8
	"test..."
	
	"MC277
	kernel 44 fix classbuilder for traits
	"
	
	| names |
	
	self loadOneAfterTheOther: #('Kernel-md.42.mcz') merge: false.

	names _ '
38Deprecated-md.3.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-md.32.mcz
CollectionsTests-md.10.mcz
Compiler-sd.14.mcz 
Compression-md.2.mcz
Exceptions-md.3.mcz
EToys-stephaneducasse.2.mcz
FFI-tbn.3.mcz
Files-stephaneducasse.8.mcz
FlexibleVocabularies-stephaneducasse.1.mcz
Graphics-md.14.mcz
GraphicsTests-md.3.mcz
Kernel-stephaneducasse.44.mcz
KernelTests-md.11.mcz
Morphic-stephaneducasse.51.mcz
MorphicExtras-md.4.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-stephaneducasse.8.mcz
Nebraska-stephaneducasse.4.mcz
Network-stephaneducasse.17.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-stephaneducasse.4.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-stephaneducasse.2.mcz
Speech-stephaneducasse.5.mcz
ST80-stephaneducasse.19.mcz
StarSqueak-stephaneducasse.4.mcz
SUnit-md.26.mcz
System-stephaneducasse.45.mcz
Tests-md.8.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
Tools-stephaneducasse.34.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
	
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 8/2/2006 20:52'!
script80

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.147.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.111.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-sd.11.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.91.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 8/10/2006 12:03'!
script81

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.147.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.112.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.94.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 8/10/2006 12:03'!
script82

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
FFI-md.12.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.147.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.112.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.94.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'md 9/7/2006 22:44'!
script83

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.112.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-md.94.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 8/13/2006 19:43'!
script83Log

	"unloading FFI"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 9/8/2006 21:06'!
script84

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.112.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.96.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 9/8/2006 20:55'!
script84Log

	"adding way to reset current CS"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 9/14/2006 20:33'!
script85

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.112.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.97.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-md.17.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-al.224.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 9/22/2006 13:46'!
script86

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-md.53.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-md.47.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-md.112.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.99.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-sd.18.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/13/2006 19:11'!
script87

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-lr.56.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-lr.49.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.113.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-md.32.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.100.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-sd.18.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/13/2006 19:11'!
script87Log

	"Name: KernelTests-lr.49
Author: lr
Time: 5 October 2006, 10:16:34 am
UUID: 762d5c23-0364-4c26-ba13-129327ea7f39
Ancestors: KernelTests-lr.48

- merged code to fix unknown pragma selectors and binary selectors in pragmas
- don't allow class names in pragmas (to be consistent)
- use pragmas to define primitive-pragmas
- added some tests

Name: Compiler-lr.56
Author: lr
Time: 5 October 2006, 10:14:04 am
UUID: f429f722-c39f-4acf-9d8c-c8a38320eaa8
Ancestors: Compiler-lr.55

- merged code to fix unknown pragma selectors
- don't allow class names in pragmas (to be consistent)
- use pragmas to define primitive-pragmas

Morphic fix duplicate


Change Set:		ToggleBreakFix39
Date:			26 September 2006
Author:			tim@rowledge.org

Putative fix for Mantis http://bugs.impara.de/view.php?id=5123

Fix Squeakmap

"! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/15/2006 11:11'!
script88

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-lr.56.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-lr.49.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.113.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.100.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-sd.18.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/18/2006 11:37'!
script89

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-md.148.mcz
KernelTests-lr.49.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.114.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.100.mcz
SystemChangeNotification-Tests-sd.5.mcz
Tests-sd.18.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'stephaneducasse 11/1/2005 14:21'!
script9
	"This version loads Tools-CdG.36 to avoid the merge of Tools.ab28"
	
	"PlusTools Mantis 1915
	did not touch 
	
	PackageInfo-CdG.4.mcz is not needed since PackageList has been removed.
	
	Needed from here: the four changesets and PlusTools
	"
	
	| names |
	
	"sd: it is not needed: self loadOneAfterTheOther: #('Kernel-md.42.mcz') merge: false."

	names _ '
38Deprecated-CdG.4.mcz
39Deprecated-stephaneducasse.3.mcz
Balloon-stephaneducasse.7.mcz
BalloonMMFlash-stephaneducasse.3.mcz
Collections-CdG.35.mcz
CollectionsTests-md.10.mcz
Compiler-CdG.19.mcz 
Compression-CdG.3.mcz
Exceptions-CdG.4.mcz
EToys-stephaneducasse.2.mcz
FFI-CdG.4.mcz
Files-CdG.13.mcz
FlexibleVocabularies-CdG.2.mcz
Graphics-CdG.16.mcz
GraphicsTests-md.3.mcz
Kernel-CdG.49.mcz
KernelTests-CdG.13.mcz
Morphic-CdG.55.mcz
MorphicExtras-CdG.7.mcz
MorphicTests-stephaneducasse.4.mcz
Monticello-bf.277.mcz
Movies-stephaneducasse.3.mcz
Multilingual-CdG.10.mcz
Nebraska-CdG.5.mcz
Network-CdG.21.mcz
NetworkTests-md.7.mcz
PackageInfo-stephaneducasse.4.mcz
PreferenceBrowser-hpt.27.mcz
Protocols-CdG.7.mcz
SMBase-stephaneducasse.69.mcz
SMLoader-bp.27.mcz
SmaCC-md.5.mcz
Sound-CdG.3.mcz
Speech-stephaneducasse.5.mcz
ST80-CdG.23.mcz
StarSqueak-CdG.5.mcz
SUnit-CdG.28.mcz
System-CdG.46.mcz
Tests-CdG.9.mcz
ToolBuilder-Kernel-ar.13.mcz
ToolBuilder-Morphic-md.15.mcz
ToolBuilder-MVC-ar.8.mcz
ToolBuilder-SUnit-ar.9.mcz
Tools-CdG.36.mcz
VersionNumber-dew.1.mcz
' findTokens: ' ', String cr.

	self loadTogether: names merge: true.
	
! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 10/20/2006 21:30'!
script90

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.149.mcz
KernelTests-sd.50.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.114.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.101.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-dtl.12.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 11/6/2006 20:38'!
script91

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.150.mcz
KernelTests-sd.50.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.115.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.21.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.101.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 2/14/2008 20:12'!
script92

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.150.mcz
KernelTests-sd.50.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.115.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
OB-Standard.39-cwp.3.mcz
OmniBrowser.39-cwp.1.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.101.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 2/14/2008 22:04'!
script93

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.150.mcz
KernelTests-sd.50.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.102.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 2/14/2008 22:12'!
script94

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.151.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.102.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 2/14/2008 22:20'!
script95

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.103.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'old-squeakish-scripts' stamp: 'sd 2/17/2008 21:19'!
script96

	| names|
names := '39Deprecated-md.11.mcz
Balloon-ar.13.mcz
Collections-md.70.mcz
CollectionsTests-md.33.mcz
Compiler-sd.57.mcz
Compression-ar.8.mcz
EToys-sd.21.mcz
Exceptions-sd.8.mcz
Files-md.18.mcz
FixUnderscores-cmm.10.mcz
Flash-ar.5.mcz
FlexibleVocabularies-al.5.mcz
Graphics-ar.39.mcz
GraphicsTests-ar.9.mcz
Kernel-sd.152.mcz
KernelTests-sd.51.mcz
Monticello-md.308.mcz
MonticelloConfigurations-stephaneducasse.38.mcz
Morphic-sd.116.mcz
MorphicExtras-md.31.mcz
MorphicTests-md.6.mcz
Movies-md.7.mcz
Multilingual-sd.22.mcz
Nebraska-md.13.mcz
Network-md.32.mcz
NetworkTests-md.9.mcz
PackageInfo-al.6.mcz
PreferenceBrowser-hpt.32.mcz
Protocols-md.12.mcz
ReleaseBuilder-md.4.mcz
SMBase-sd.85.mcz
SMLoader-gk.37.mcz
ST80-sd.35.mcz
SUnit-md.33.mcz
SUnitGUI-sd.7.mcz
Services-Base-md.33.mcz
SmaCC-md.9.mcz
Sound-md.6.mcz
Speech-md.9.mcz
StarSqueak-sd.6.mcz
System-sd.104.mcz
SystemChangeNotification-Tests-sd.6.mcz
Tests-sd.19.mcz
ToolBuilder-Kernel-cwp.17.mcz
ToolBuilder-MVC-sd.13.mcz
ToolBuilder-Morphic-ar.19.mcz
ToolBuilder-SUnit-cwp.12.mcz
Tools-md.74.mcz
Traits-sd.226.mcz
TrueType-ar.4.mcz
VersionNumber-dew.1.mcz'
findTokens: ' ', String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'private' stamp: 'sd 3/24/2008 16:16'!
setToRepositoriesPassword: aPassword to: aUser
	"self new setToRepositoriesPassword: '' to: ''"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllRepositories: {self repository locationWithTrailingSlash . self inboxRepository locationWithTrailingSlash}. 
	self repository password: aPassword.
	self repository user: aUser.
	self inboxRepository password: aPassword.
	self inboxRepository user: aUser.
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'unused methods' stamp: 'sd 10/31/2005 18:00'!
test
	"self new test"
	
	|pa|
	pa := MCPackage named: 'FlexibleVocabularies'.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:53'!
universalInstaller
	(Smalltalk at: #UUniverse ifAbsent: [self installingUniverse]).
	^ self installer! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 8/13/2006 19:46'!
unloadFFI
	"ScriptLoader new unloadFFI"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := #('*FFI*'). 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].
	Smalltalk recreateSpecialObjectsArray! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 7/15/2006 20:39'!
unloadPackages
	"ScriptLoader new unloadPackages"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := self packagesToUnload. 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 23:07'!
unloadToolPlus
	"ScriptLoader new unloadToolPlus"
	
	ToolSet unregister: PlusToolSet.
	self resetToolSet! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/16/2008 22:11'!
update10000
	"self new update10000"
	
	self sapphireToPharoRepository.
	Transcript show: 'Unload Speech' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Speech')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Speech*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/1/2008 15:05'!
update10001
	"self new update10001"
	
	Transcript show: 'Unload StarSqueak' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'StarSqueak')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'StarSqueak*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/1/2008 15:05'!
update10003
	"self new update10003"
	
	Transcript show: 'Unload Flash' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Flash')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Flash*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/1/2008 15:05'!
update10004
	"self new update10004"
	
	Transcript show: 'Unload Movies' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'Movies')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Movies*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/1/2008 15:05'!
update10006
	"self new update10006"
	
	Transcript show: 'Unload Protocols' ; cr. 
	(MCWorkingCopy forPackage: (MCPackage new name: 'FlexibleVocabularies-Info')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'FlexibleVocabularies-Info*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/12/2008 15:28'!
update10007
	"self new update10007"

	self script100.
	"normally should do nothing"
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/12/2008 15:54'!
update10008
	"self new update10007"

	self script101.
	"normally should do nothing"
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/15/2008 18:03'!
update10009
	"self new update10009"

	self script102.
	self withUdpateLog: 'Added MCWorkingCopy printOn:'.
	self removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			'http://source.squeakfoundation.org/SqueakMap/'
			'http://source.squeakfoundation.org/network/'
			  'http://source.wiresong.ca/mc/'
			 'http://www.squeaksource.com/PackageInfo/'
			 'http://www.squeaksource.com/ToolBuilder/'
				 'http://squeaksource.com/ToolBuilder/'
			  'http://source.impara.de/mc/').
	MCRepositoryGroup instVarNamed: 'default' put: nil.  
	self addHomeRepositoryToAllPackages.
	self log: 'Scriptloader cleaning'.
	self log: 'MC repository cleaning'.
	self log: 'Adding new Sapphire repository'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.

	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/15/2008 22:49'!
update10010
	"self new update10010"

	self withUdpateLog: 'Remove release builder package: classes were moved in scriptloader'.
	(MCWorkingCopy forPackage: (MCPackage new name: 'ReleaseBuilder')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'ReleaseBuilder*'.
	
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/16/2008 14:50'!
update10011
	"self new update10011"

	self script103.
	self withUdpateLog: 'Fixing underscore of Service-base'.
	self log: 'Fixing underscore kernel'.
	self log: 'Fixing underscore VersionNumber'.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/16/2008 15:14'!
update10012
	"self new update10012"

	self script104.
	self withUdpateLog: 'Fixing invisible in Date and DateAndTime'.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/16/2008 15:32'!
update10013
	"self new update10013"

	self script104.
	self withUdpateLog: 'Fixing invisible in Kernel Chronology'.
	self log: 'enhancing FixUnderscores to fix also character lf'.
	self log: 'remove FFI organization'.
	SystemOrganization removeCategoriesMatching: 'FFI*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/16/2008 15:54'!
update10014
	"self new update10014"

	self script105.
	self withUdpateLog: 'Fixing invisible in Files and Exceptions'.
	self log: 'Fixing assign in Files and Exceptions'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/20/2008 22:04'!
update10015
	"self new update10015"

	self script106.
	self withUdpateLog: 'Fixing invisible in Collection Graphics KernelTests Network Protocols PackageInfo Sounds System Tools VersionNumber'.
	self log: 'Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/22/2008 21:10'!
update10016
	"self new update10016"

	self script107.
	self withUdpateLog: 'Fixing - into :=  in Collection Compiler KernelTests Mutilingual Monticello PackageInfo NetworkTests Tests Sound System ToolBuilder-SUnit ToolBuilder-Morphic Tools Traits'.
	self log: 'Will not fix them in Etoys, Morphic, MorphicExtra for obvious reasons'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/24/2008 16:22'!
update10017
	"self new update10017"

	self script108.
	self withUdpateLog: 'Utilities informuser:during: -> UIManager default informuser:during:'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 3/28/2008 11:21'!
update10018

	"self new update10018"
	self withUdpateLog: 'Deprecating Utilities>>informDuring:'.
	self script109.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 5/10/2008 09:55'!
update10019

	"self new update10019"
	self withUdpateLog: 'Remove HTML Fileout + printout Method'.
	self script110.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'md 5/10/2008 13:08'!
update10020

	"self new update10020"
	self withUdpateLog: 'changes from Reflectivity, remove Packagepanebrowser, faster transcript'.
	self script111.
	self flushCaches.
	Preferences setPreference: #showSharedFlaps toValue: false.
	FlapTab allInstances do: [:each | each delete].
	Flaps initializeFlapsQuads.
	Flaps initializeStandardFlaps.
	Preferences setPreference: #showSharedFlaps toValue: true.
	Preferences removePreference: #browserShowsPackagePane.
	Behavior removeSelector: #hash.
	Set rehashAllSets.! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 5/10/2008 14:38'!
update10021

	"self new update10020"
	self withUdpateLog: 'scriptloader load mc silently + TTF fonts
http://bugs.squeak.org/view.php?id=6089'.
	self script112.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/11/2008 12:15'!
update10022
	"self new update10022"
	
	| prefs |
	self withUpdateLog: 'Lexicon and Instance Browser were not really used. We will rebuild it if necessary. Remove instanceBrowser and Lexicon + faster doOneCycleNow '.
	
	prefs := (Preferences parameterAt: #HaloSpecs ) reject: [:each | each addHandleSelector = #addViewingHandle:].
prefs := prefs reject: [:each | each addHandleSelector = #addPoohHandle:].
prefs := prefs reject: [:each | each addHandleSelector = #addTileHandle:].
Preferences setParameter: #HaloSpecs to: prefs.

	self script113.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'sd 5/11/2008 14:22'!
update10023

	"self new update10023"
	self script114.
	self withUpdateLog: 'remove Nebrasksa audiot chat + deprecated author in Utilities'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/17/2008 09:07'!
update10024
	"self new update10024"
	
	self withUpdateLog: 'Fixing Sapphire -> Pharo Squeak source Server + CS Servers'.
	self sapphireToPharoRepository.
	Utilities resetServers.
	Utilities addUpdateServer: #('pharo Updates' #('pharo.gforge.inria.fr/')).
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/17/2008 09:44'!
update10025
	"self new update10025"

	
	self withUpdateLog: 'Unload Nebraska '.
	self script115.
	(MCWorkingCopy forPackage: (MCPackage new name: 'Nebraska')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'Nebraska*'.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/17/2008 09:59'!
update10026
	"self new update10026"

	self withUpdateLog: 'Fixing Author FullName  '.
	self script116.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/21/2008 22:31'!
update10027

	"self new update10027"
	
	self withUpdateLog: 'Lexicon merge, Better tests for rectangle, findString fix '.
	self log: 'http://bugs.squeak.org/view.php?id=3574'.
	self log: 'Remove superswiki'.
	self script117.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 5/24/2008 16:58'!
update10028

	"self new update10028"
	
	self withUpdateLog: 'Fixing MC'.
	
	self script118.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'lukas.renggli 5/27/2008 17:54'!
update10029

	"self new update10029"
	self script119.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'sapphire - updates' stamp: 'stephane.ducasse 6/2/2008 22:51'!
update10030

	"self new update10030"
	self script120.
	self withUpdateLog: 'Fixing Delay 
	 0006834: Delay class>>timeoutSemaphore:afterMSecs: doesn t.
Description 	The implementation for Delay class>>timeoutSemaphore:afterMSecs: doesn t even use its first parameter, so it can t do what it says it does.

This method should be deprecated or removed entirely.
Additional Information 	+ tests'.
	self log: 'Fixing Obsolete references'. 
	ServerDirectory resetServers.
	FileServices removeObsolete.
	PackageOrganizer default unregisterPackageNamed: 'FlexibleVocabularies'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 10/28/2005 20:21'!
updateFrom6693
	"self new updateFrom6693"
	
	self script5.
	self script7.
	self flushCaches.
	
	"does not work with script 8 instead of 7 from an 6693 image"! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 10/31/2005 18:03'!
updateFrom6695
	"self new updateFrom6695"
	
	"previous version was tested by adrian and works
	this one with script9 was not..."
	self addRepositoryToPackageNamed: 'FlexibleVocabularies'.
	self addRepositoryToPackageNamed: 'EToys'.
	self addRepositoryToPackageNamed: 'BalloonMMFlash'.
	self addRepositoryToPackageNamed: 'MorphicExtras'.
	self script9.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 11/4/2005 18:19'!
updateFrom6696
	"self new updateFrom6696"
	
	self addRepositoryToPackageNamed: 'FlexibleVocabularies'.
	self addRepositoryToPackageNamed: 'EToys'.
	self addRepositoryToPackageNamed: 'BalloonMMFlash'.
	self addRepositoryToPackageNamed: 'MorphicExtras'.
	self script13.
	self addRepositoryToPackageNamed: 'PlusTools'.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 11/5/2005 19:34'!
updateFrom6703
	"self new updateFrom6703"
	
	self addRepositoryToPackageNamed: 'FlexibleVocabularies'.
	self addRepositoryToPackageNamed: 'EToys'.
	self addRepositoryToPackageNamed: 'BalloonMMFlash'.
	self addRepositoryToPackageNamed: 'MorphicExtras'.
	self script14.
	self addRepositoryToPackageNamed: 'PlusTools'.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 11/20/2005 21:43'!
updateFrom6704
	"self new updateFrom6704"
	
	self addRepositoryToPackageNamed: 'FlexibleVocabularies'.
	self addRepositoryToPackageNamed: 'EToys'.
	self addRepositoryToPackageNamed: 'BalloonMMFlash'.
	self addRepositoryToPackageNamed: 'MorphicExtras'.
	"to report what has been changed use also script14 "
	self script15.
	self addRepositoryToPackageNamed: 'PlusTools'.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'al 12/8/2005 21:21'!
updateFrom6705
	"self new updateFrom6705"
	
	self addRepositoryToPackageNamed: 'Traits'.
	self script16.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 12/20/2005 15:13'!
updateFrom6706
	"self new updateFrom6706"
	
	self addRepositoryToPackageNamed: 'Traits'.
	self script18.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 1/12/2006 19:34'!
updateFrom6707
	"self new updateFrom6707"
	
	self script19.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 1/14/2006 12:47'!
updateFrom6708
	"self new updateFrom6708"
	"traits fix"
	"VMMaker fixes"
	
	self resetToolSet.
	self script21.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 1/14/2006 21:10'!
updateFrom6709
	"self new updateFrom6709"
	"PreferenceBrowser + Preference + Debugger fix + Services 
	+ SUnitGUI"
	
	self addRepositoryToPackageNamed: 'Services-Base'.
	self addRepositoryToPackageNamed: 'SUnitGUI'.
	self resetToolSet.
	self script23.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 1/15/2006 18:10'!
updateFrom6710
	"self new updateFrom6710"
	"Method annotations:
		Pay attention
	two important cs should be loaded after the cs that will trigger this update.
	one to recompile the image and to load the manually ordered CS."
	
	self addRepositoryToPackageNamed: 'Services-Base'.
	self addRepositoryToPackageNamed: 'SUnitGUI'.
	self resetToolSet.
	self script24.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 1/15/2006 19:18'!
updateFrom6714
	"self new updateFrom6714"
	"Some packages have been made dirty by the cs put directly in the stream: 6713"
	
	self script25.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 1/18/2006 19:42'!
updateFrom6715
	"Bugfixes:
	move scopeHas:ifTrue: to *39Deprecated, fix the senders
	JMMRemoveExtraIndexCheck: faster second...8th 
	fix open File directly
	WindowColorRegistry (Hernn Tylim)
	Fix to open real Workspace
	"
	self script26.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 1/19/2006 18:27'!
updateFrom6716
	"Bugfixes"
	
	"Change Set:		isSourceFileSuffix-M1407
	Date:			15 September 2005
	Author:			tim@rowledge.org
	A trivial change to FileStream class>isSourceFileSuffix: to remove the spurious seeming   
	inclusion of '*' as a legitimate source file suffix.  Seems to break nothing.
	----
	Change Set:		selectorsWithArgs-md
	Date:			2 January 2006
	Author:			Marcus Denker
	Make Behavior>>#selectorsWithArgs: use symbol>>#numArgs.
	Much simpler: one line. And it fixes a bug.
	----
	Change Set:		removeUndefTest
	Date:			14 January 2006
	Author:			Marcus Denker
	removes UndefinedObject>>#test, which was a test method for alternate syntax
	-----
	0002373: ParagraphEditor >> #makeCapitalized: comment is not correct
	-----
	Change Set:		SysWindowClean01-wiz
	Date:			18 January 2006
	Author:			(wiz) Jerome Peace
	wiz 1/18/2006 15:34
	Ok. I think that does it.
	Removed unused preference and SystemWindow methods that use it Mantis # 2532.
	------
	Change Set:		decompileBlock-md
	Date:			24 November 2005
	Author:			Marcus Denker
	A  simplification for BlockContext>>decompileBlock:
	The Method got the tempNames by compiling the source of the method. This
	is already implemented in methodNode tempNames... thus not needed here.
	------
	remove emptycheck for Heap>>fist and SequencableCollection
	#first, #last, #middle
	------
	0002514: [FIX] condenseSources (was: Re: [Q] Removing changes file content.
	------
	Delay startTimerInterruptWatcher
	to fix
	0002379: BlockContext>>decompile broken, ProcessBrowser does not work
	------
	0002377: Cannot rename a project from its window menu
	0002497: MNU when changing title on Morphic Project
	0002415: Error after one presses ESC key two times.
	0002145: KlattFrame: ZeroDivide exception when the value of ro, rk or ra is 0
	-----
	Change Set:		FileListCodeDNUfix-efc
	Author:			Eddie Cottongim
	Apparently Object got (errantly?) registered with FileList as a file reader. This was throwing 	some DNUs. This simple doit unregisters Object and appears to solve the problem.
	-----
	Change Set:		RemoveAlternateSynPref
	-----
	Change Set:		PlusToolsAlternateSyntaxFix
	Date:			14 January 2006
	Author:			Marcus Denker
	The horrible alternateSyntax hack has been removed in 3.9. This fixes
	three methods in the plustools to not use definitionST80: but definitionST80
	------
	"
	self script27.
	self flushCaches.
	Delay startTimerInterruptWatcher.
	FileList unregisterFileReader: Object.
	Preferences removePreference: #printAlternateSyntax.

	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 1/21/2006 10:57'!
updateFrom6717
	"self new updateFrom6717"
	"Some Changes form the ClosureCompiler
	 ----
	Name: SUnitGUI-lr.4
	- changed the label from 'Essential Test Runner' to 'Test Runner', since there is no other 	anymore this makes no sense to distinguish
	- renamed the button 'Run All' to 'Run Selected' to avoid confusion
	-----
	Change Set:		fileinUndeclared-bf
	Date:			12 January 2006
	Author:			Bert Freudenberg
	When filing in, do not ask whether it's okay to moveclass var to Undeclared. Just move it.
	-----
	Change Set:		DebuggerMVCSchedulingFix-dtl
	Date:			12 December 2005
	Author:			David T. Lewis
	Mantis bug 0002359: Debugger in MVC opens in next available Morphic world
	-----
	Name: CollectionsTests-zz.11
	Author: zz
	Add more tests to several Collection classes : Array, Association, Dictionary, Heap, Interval, 	LinkedList, OrderedCollection, SequenceableCollection, SortedCollection
	All tests are green ;-)
	-----
	added haltOnce (with halt on count, inspect at count, and inspect until count)
	-----
	removed emptyCheck from OrderedCollection removeLast, removeFirst
	"
	
	self script28.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 1/23/2006 15:23'!
updateFrom6718
	"self new updateFrom6718"
	"
	call 'TheWorldMenu removeObsolete' to cleanout obsolete ref.
	-----
	0002542: Morphic testing failure, Morph>>overlapsShadowFormbounds
	-----
	revert Decompiler>>#decompileBlock:
	-----
	ServiceAction>>perform:orSendTo: for romain
	----- Adding andreas packages
	"
	
	self script30.
	self flushCaches.
	TheWorldMenu removeObsolete.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	ScheduledControllers := nil.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'stephaneducasse 2/2/2006 19:47'!
updateFrom6719
	"self new updateFrom6719"
	"
	0002135: Cmd-. don't work with various Mac Os X keyboard layout
	"
	
	self script31.
	self flushCaches.
	TheWorldMenu removeObsolete.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	ScheduledControllers := nil.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/12/2006 20:25'!
updateFrom6720
	"self new updateFrom6720"
	"
	- Tools for traits fixes from adrian
	- underscore fixing
	- integer printing fixes + tests
	- 0002708: SharedQueue does not nil out unused slots when flushing
	- 0002154: Light-weight mutex implementation
	- tests from 0002688: aNumber = (aNumber + 0 i) answer false
	- Adds a test for the new Url class>>absoluteFromFileNameOrUrlString: 
	- Set new now uses new: 5
	- delete Undefined>>languagePrefs, broken code
	- tests for primesUpTo: and isPrime
	- turn on Deprecation warnings
	- Move Heap examples to HeapTest (and call them in a test)
	- remove double entry for TestRunner from open Menu
	- clean a bit old unneded tests
	- remove empty class and method categories
	- fix a call to deprecated #bringFlapTabsToFront
	- Change Set:		fixPntrFinder-bf
	  Author:			Bert Freudenberg
	  The PointerFinder (aka 'chase pointers' menu item) did not find references in   
	  CompiledMethods, which are the only objects in the system that answer false to isPointers  
	  but still *do* have pointers"
	
	self script32.
	self flushCaches.
	
	Preferences setPreference: #showDeprecationWarnings toValue: true.
	TheWorldMenu unregisterOpenCommand: 'SUnit Test Runner'.
	Smalltalk removeEmptyMessageCategories.
	SystemOrganization removeEmptyCategories.
	
	Undeclared removeUnreferencedKeys.
	Smalltalk garbageCollect.
	ScheduledControllers := nil.
	Smalltalk garbageCollect.
	
	SMSqueakMap default purge.
	Smalltalk forgetDoIts.

	DataStream initialize.
	Behavior flushObsoleteSubclasses.
	MethodChangeRecord allInstancesDo: [:each | each noteNewMethod: nil].
	
	SmalltalkImage current fixObsoleteReferences.

	Smalltalk flushClassNameCache.
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable.
	].
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/14/2006 20:58'!
updateFrom6721
	"self new updateFrom6721"
	"
	- remove Deprecated Methods from 3.8
	- moved all new deprecated method to *39Deprecated
	- remove MethodNode>>#generateNative
	- add generate (to call generate: #(0 0 0 0), fix senders to use it
	- add CompiledMethod>>#equivalentTo:
	- fix for 0002513: arcTan: returns angle in strange intervale
	- fix for 0002118: Integer class >> #primesUpTo: 
	- fix for 0001109: ScrollPane code/comment mismatch
	- start of a ReleaseTest (testing for Undeclareds etc...)
	- Change Set:		versionCats-bf
	  Author:			Bert Freudenberg
       Show method categories in version listing. Particularily useful when checking 
       overrides, where the only thing changed is the categorization.
	- BorderedMoph.st from Connectors
	- fixes from 0001734: [ENH] remove deprecated Chronology methods in 3.9 [cd][su][sm]
	- Change Set:		systemSupportFixes-bf
	  Author:			Bert Freudenberg
	  Fixes to SmalltalkImage
	  - rename readDocumentFile to recordStartupStamp, which is what it does nowadays
	  - changesName is full path now, like imageName
	  - derive full name for new image or changes from image path primitive, rather 
	    than default directory (in all regular cases they are identical)
	- 0002570: [Fix] When Color prety printing it is hard to read the light tan literals against 
	 the white background.
	- Change Set:		AnnotationMorphFix-wiz
	 Author:			(wiz) Jerome Peace
	 Made some style changes to the annotation preference widget.  Two things. put the 
	 extra button in a better place. Made a more harmonious aspect ratio for the panels.

	
	"
	Smalltalk removeEmptyMessageCategories.
	ColoredCodeStream initialize.
	
	self script33.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/15/2006 17:36'!
updateFrom6723
	"self new updateFrom6723"
	"
	- 0002498: In Sq6713 Strange behaviours when asking for class ref.
	- Latest Properties/Pragmas from Lukas
	
	
	"
	Smalltalk removeEmptyMessageCategories.
	
	self script34.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/16/2006 14:32'!
updateFrom6724
	"self new updateFrom6724"
	"
	- 0002345: Cannot open Workspace from world menu in MVC
	- fixes to MC tests by Adrian
	- CompiledMethod>>decompileTree deprecated
	- String>>numArgs: for building selectors easily
	- cleaned up unused old propertu code in parser
	- first cut at a fast #who (see Changelog Kernel-md.92)
	- cleanups in CompiledMethod (see Changelog Kernel-md.92)
	- some first refactorings to not call #who
	
	
	"
	Smalltalk removeEmptyMessageCategories.
	
	self script34.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/16/2006 19:33'!
updateFrom6726
	"self new updateFrom6726"
	"
	-Put back in the simplified Decompiler>>#decompileBlock:
	- deprecated #who
	- CompiledMethod>>#methodNode now sets Class and Selector for non-installed 
	  methods to Object/ CompiledMethod>>#defaultSelector
     - refactored ContextPart to not call #who
	- refactored ProcessBrowserPlus to not use #who
	- refactored ProcessBrowser to not use #who
	- simplified CompiledMethod>>#defaultSelector
	- String>>#hash now uses identityHasch as initial hash (needed for Behavior>>#hash)
	- moved numArgs: to Symbol, faster
	- add Behavior hash
	- simplify CompiledMethod: #defaultSelector, #equivalentTo:, #methodNode
	- add CompiledMethod>>#selector:
	- add iVarselector to MethodProperties, accessors
	- make MethodProperties compact again.
	"
	
	"I added a Variable... "
	MethodProperties becomeCompact.

	self script35.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/18/2006 14:05'!
updateFrom6727
	"self new updateFrom6727"
	"
	- deprecate behavior>>#selectorAtMethod:setClass: 
	- deprecate ContextPart>>#mclass (use methodClass, like in CompiledMethod)
	- deprecate ContextPart>>#methodSelector (use #selector, like in CompiledMethod)
	- deprecate MethodContext>>#answer: (comment indicates 'will soon be removed'
	- refactor to not call deprecated methods.
	- Fast #who part 2: Selector from compiledMethod.
	- Forward from ContextPart to method (selector, decompile.)
       no need to search anymore 
     - installed methods now get selector/class set.
	"
	"recompile"
	self script36.
	self flushCaches.
	Compiler recompileAll.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/19/2006 08:07'!
updateFrom6728
	"self new updateFrom6728"
	
	"
	- fixed override of Services to not revert Traits browser change
	- 0002868: Copying the text of a list morph via the halo menu does return empty
	- 
	
	Change Set:		TestRunnerEnh
	Date:			18 February 2006
	Author:			Alexandre Bergel

	With this fix, the TestRunner now update its list of classes and categories accordingly to 	system changes. It uses the SystemChangeNotifier.
	
	Name: CollectionsTests-fbs.16
	Author: fbs
	Time: 14 February 2006, 5:44:42 pm
	UUID: bfeee468-b072-1048-9409-ed02f938ff47
	Ancestors: CollectionsTests-md.14

	This version converts == <integer literal> to = <integer literal> in response to Dan Ingalls' 	note: http://lists.squeakfoundation.org/pipermail/squeak-dev/2006-February/100600.html


	Traits: Change log:
	- fixed marker methods that were broken because of new default literals in CompiledMethod
	- removed obsolete requries algorithm tests
	- prefixed all requires performance tests to exclude them from normal test runs
	- fixed issue [0002814] (targetTraits is shadowed in RequiredSelectorsChangesCalculator)
	- requires algorithm bugfix (requirements are not dynamically updated for classes) by 	Daniel
	- all traits and requires tests should run green again except for 	TraitCompositionTest>>testProvidedMethodBindingsWithConflicts

	Fast #who changes / cleanups
	- deprecate CompiledMethod>>#decompileClass:selector:
	- delete Compiler>>#cacheDoItNode
	- remove ivar cacheDoItNode
     - remove CompiledMethod>>#blockNode, blockNodeIn,   
	- remove Message>>catcher
	- remove MethodContext>>methodNode (use inherited version from MethodContext)


	Name: SmaCC-fbs.8
	Author: fbs
	Time: 14 February 2006, 6:00:22 pm
	UUID: baaa0a47-646f-8345-bede-968f4cdaaff2
	Ancestors: SmaCC-stephaneducasse.6

	This version converts == <integer literal> to = <integer literal> in response to Dan Ingalls' 	note: http://lists.squeakfoundation.org/pipermail/squeak-dev/2006-February/100600.html
"
	self script37.
	self flushCaches.
	
	RequiredSelectors initialize.
	LocalSends initialize.
	ProvidedSelectors initialize.
	Compiler recompileAll.
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/22/2006 10:37'!
updateFrom6729
	"self new updateFrom6729"
	
	"
	New OB
	- Mantis-0504-CurvierMorph, fix by Jerome Peace (wiz)
	- Resizing SystemWindows on any corner, fix by Juan Vuletich (jmv) and Robin (rl)
	- Removal CDScreenShotMorph, indicated by Jerome Peace (wiz)
	Reviewed by Juan Vuletich (jmv)
	-md: second try with fixed packaged...

	"
	self script38.
	self flushCaches.
	
	
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/21/2006 10:07'!
updateFrom7000
	"self new updateFrom7000"
	
	"
	- load older version of eToy to fix bug.
	- 0002922: Debugger shows only pretty printed code
	- decompileString for BlockNode and BlockClosure
	- Class class>>#rootsOfTheWorld (from RB/VW)
	- More changes from NewCompiler package
	- refactorings and cleanups related to decompiling in the Tools
	"
	self script39.
	self flushCaches.
	
	
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/22/2006 22:50'!
updateFrom7001
	"self new updateFrom7001"
	
	"
	- updated SUnit packge (refactorings and a small bugfix)
	- SequenceableCollection.st from Connectors
	- BlockContext.st from Connectors
	- MessageSend.st from Connectors
	- TwoWayScrollPane.st from Connectors
	- Object.st from Connectors
	- CircleMorph.st from Connectors
	- TextMorph.st from Connectors
	- TileMorph.st from Connectors
	- SketchMorph.st from Connectors
	- StringMorphEditor.st from Connectors
	- EllipseMorph.st from Connectors
	- TTSampleStringMorph.st from Connectors
	- TTSampleFontMorph.st from Connectors
	- HandMorph.st from Connectors
	- SketchMorph.mir.1.cs from SqueakLand
	- TextMorph.mir.1.cs from SqueakLand
	Change Set:		PersMenuFix-wiz
	Author:			(wiz) Jerome Peace
	The Yellow button personal menu item  'about this system' throws up a DNU.
	The message is being sent to SmallTalk (the dictionary) instead of SmallTalkImage current.
	As I was here anyway I also took the time to remove the only reference to the isFlagship 	
	preference and the hardcoded preference method itself as per discussions with sw in mantis 	#2690.
	Change Set:		watcherTypeChange-sw
	Date:			24 March 2005
	Author:			Scott Wallace

	If the user changes the type of a Variable, watchers looking at that variable are now fixed 	up.   
	Any existing Watcher for the variable gets replaced by a labeled watcher appropriate 	for the new type.
	This is a fix for Squeakland Mantis bug #1001.
	- remove Preferences:  #selectionsMayShrink #warningForMacOSFileNameLength #celesteHasStatusPane.
	#celesteShowsAttachmentsFlag #autoAccessors #classicNewMorphMenu #morphicProgressStyle
	 #showLinesInHierarchyViews #testRunnerShowAbstractClasses
	- fix BlockContext>>#decompile to not reference Decompiler
	- add CompiledMethod#decompileWithTemps (logic was in 	Tools... sigh!!)
	- ContextPart>>sourceCode simplified.
	"
	self script40.
	self flushCaches.
	Preferences removePreference: #selectionsMayShrink.
	Preferences removePreference: #warningForMacOSFileNameLength.
	Preferences removePreference: #celesteHasStatusPane.
	Preferences removePreference: #celesteShowsAttachmentsFlag.
	Preferences removePreference: #autoAccessors.
	Preferences removePreference: #classicNewMorphMenu.
	Preferences removePreference: #morphicProgressStyle.
	Preferences removePreference: #showLinesInHierarchyViews.
	Preferences removePreference: #testRunnerShowAbstractClasses.
	
	
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/24/2006 23:31'!
updateFrom7002
	"self new updateFrom7002"
	"
	Change Set:		decorateFix-bf
	Date:			24 February 2006
	Author:			Bert Freudenberg

	Bullet-proof browser against removed class
	---------
	0001913: Make all implementors of #nextPut: to return the argument (instead of self)
	Changed some implementors of #nextPut: to return the argument (and not return self). 
	This to be consistent with primitiveNextPut and all other implementors of #nextPut:
	kwl: As dicusses with Ken and Craig on #squeak IRC.
	--------
	0001733: [ENH][FIX] String-upToDep-huma
	Really deprecates SequenceableCollection>>#upTo: to #copyUpTo:
	--------
	PlusTools do not register in Filelist when not active
	-------
	0003049: fast window resizing needed
	0001596: [BUG][FIX] lurking signals in EventSensor
	-------
	- PolygonMorph.st from Connectors
	- cleanups for preference removal
	
	"
	self script41.
	self flushCaches.
	Preferences removePreference: #allowCelesteTell.
	Preferences removePreference: #useFileList2.
	Preferences removePreference: #enableInternetConfig.
	Preferences removePreference: #browserNagIfNoClassComment.
	Preferences removePreference: #alternativeWindowLook.
	Preferences removePreference: #alternativeScrollbarLook.
	Preferences removePreference: #inboardScrollbars.
	Preferences removePreference: #fastSplitterResize.
	FileList initialize.
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 2/28/2006 12:16'!
updateFrom7003
	"self new updateFrom7003"
	"
	fasterMorpic: optimized extension/properties code for number of sends
	-------
	Change Set:		AutoDeselectToolFixes-wiz
	Author:			(wiz) Jerome Peace
	For doubleClick to work in lists autoDeselect must be explicitly disabled. There are four places 	where This needs to be done on the tool end of thing.	
	-------
	0003108: [quickFix] In 7002 selecting connector catagory or alpha p catagory gets a
	 debug box.
	-------
	0002500: In6713 Sometimes a Legitimate request generates DNU PseudoClass>>isTraits
	0002991: [Fix] Workspaces initial extent is too large for most uses.
	0002151: Max number of literals checked in MethodNode instead of CompiledMethod
	0003128: [Fix] In 7002 Using browser buttons to ask for prettyprinting gets DNU 	Compiler>>asText
	0001048: [ENH] SystemNavigation>>allImplementorsOf:localTo:
	0002779: 3.9a-6721 theme... button on Services Browser gives 'key not found' walkback
	
	------
	
	"
	self script42.
	self flushCaches.
	
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/3/2006 16:58'!
updateFrom7004
	"self new updateFrom7004"
	"
	0001613: [ENH] truncatedChanges-ls
	Date: 4 September 2003
	Author: Lex Spoon

	Handle truncated changes files more gracefully. The problem actually
	can happen, and has been observed at Georgia Tech, e.g. if someone
	downloads a file but does not complete the download. The current
	behavior is that pink debuggers pop up; this is extremely confusing for
	new users when it happens in places like the Browser.

	The solution in this changeset is to fall back on the decompiler. A
	more thorough solution should probably trigger a systematic invalidation
	of all source pointers past the end of the changes file, because as time
	goes on the changes file will eventually grow large enough to cover the
	lost code and the routine will start returning random method code for
	the invalid source pointers.
	----------------
	0001354: MIDI port name is garbled in selection dialog
	Change Set:		AddTransMIDIPort
	Date:			31 May 2005
	Author:			Tooru Nosse
	
	fix for query of MIDI portName with SJIS name
	enable translation for midi port selection
	----------------
	0002341: MorphicEventDispatcher minor refactoring
	0001284: Smalltalk condenseSources leads to UndefinedObject(Object)>>error:
	0003180: Selector requester does not strip blanks
	tests from 0001798: #critical:ifError: on Semaphore does not always signal the semaphore
	test from 0003133: [BUG][FIX] Float>>#asIEEE32BitWord and #fromIEEE32Bit:
	----------------
	Change Set: dupAllCtrlAltKeysPref-dew
	Date: 13 December 2004
	Author: Doug Way

	Adds a new preference duplicateAllCtrlAndAltkeys to duplicate all Ctrl and Alt modifier key 	
	commands, which causes all Ctrl key commands to behave the same as Alt-key commands. 	
	The original Ctrl (a.k.a. 'shift') key commands are still available via Ctrl-Shift and Alt-Shift.

	This differs from the existing ctrlAlt prefs which only duplicate/swap the eight editing keys. 	
	Also includes code to prevent these other two conflicting prefs from being activated at the 
	same time.

	The three related prefs (swapCtrlAndAltKeys, duplicateCtrlAndAltKeys, 	
	duplicateAllCtrlAndAltKeys) should really be made into a radio button preferences set 
	sometime in the future (like the Halo look preferences), since only one can be turned on at 
	a time. This would eliminate the need for the #changed methods.

	See 'modifier' discussion on squeak-dev from 12/3/2004 for more details on why this was 	provided.
	-----------
	- postCopy for MethodProperties
	- Preferences panel size
	- remove Preference #ansiAssignmentOperatorWhenPrettyPrinting
	- remove Preference #resizeOnAllSides, #twoSidedPoohTextures
	- set selector when evaluating a #Doit. Fixes MessageTally tallySends:
	- cleanups in Parser: remove old Properties code
	- cleanups in Encoder: use #binding, not #associationFor:. 
	- remove the last new initialize cases
	- Fix ClassTestCase to not turn off Deprecation
	- Fix Tests for ObjectsAsMethods
	- Refactor/deprecate old environment methods in SystemDictionary
	Graphics:
	-----------
	- 0002449: [Enh] Adds a target-sighting cursor to the menagerie of cursors.
	- 0002450: [Fix] Form fromUser can create a form w/ zero area if user specifies
	   a corner to upper left of origin.
	- bullet-proof ImageReadWriter class>>understandsImageFormat:
	- 0002684: [Fix] In 6719 rotateBy: #right or #left returns wrong aspect ratio.
	- 0003060: Graphics-md.27: additions from Connectors / merge with image
	--------
	Traits:
	- Fix PackageInfo: extension methods defined in traits were missing in package
	- Move traits related changes of methods from Monticello into correct package PackageInfo 
	"
	self script43.
	self flushCaches.
	Preferences removePreference: #ansiAssignmentOperatorWhenPrettyPrinting.
	Preferences removePreference: #resizeOnAllSides.
	Preferences removePreference: #twoSidedPoohTextures.
	Smalltalk removeEmptyMessageCategories.	
	SystemOrganization removeEmptyCategories.
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/5/2006 21:10'!
updateFrom7005
	"self new updateFrom7005"
	"
	- fixed #binding
	- 0003249: Mac VM pops up debugger on every launch (InternetConfiguration broken?)
	- 0003246: In 7005 Getting objects from Object morph not behaving as expected.
	- 0003245: 7005: ProcessBrowser DNU
	"
	self script44.
	self flushCaches.
	Compiler recompileAll.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/9/2006 17:10'!
updateFrom7006
	"self new updateFrom7006"
	"
	- pretty print use := by default
	0003249: Mac VM pops up debugger on every launch (InternetConfiguration broken?)
	0003254: faster #binding
	0003258: [ENH] Entry in Fonts menu for easily getting all big fonts
	0003150: In 7002 Asking for priorVersions causes browsing some primitive methods 
			to get a DNU
	0003268: NumberTest>>testPrintShowingDecimalPlaces: broken
	"
	self script45.
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/14/2006 19:07'!
updateFrom7007
	"self new updateFrom7007"
	"
	Mantis-3061-SnapPop, fix by Jerome Peace (wiz)
	Mantis-3075-MixedCurves, fix by Jerome Peace (wiz)
	Mantis-2589-ButtonTargets, fix by Jerome Peace (wiz)
	Mantis-2709-CurveBoundsTRFix, fix by Jerome Peace (wiz)
	Mantis-2496-Halos-Menus, fix by Jerome Peace (wiz)
	0003294: KeyedSet>>add: cand send #errorKeyAlreadyExists: which is not implemented
	0003301: FileList has two install buttons
	0003303: Browser --> open does allways open Browser (not SystemBrowser default)
	"
	self script46.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/14/2006 23:29'!
updateFrom7008
	"self new updateFrom7008"
	"
	Change Set:		kedama2.7-yo
	Date:			9 May 2005
	Author:			Yoshiki Ohshima	
	-------------------------------------------
	Change Set:		flexFix-sw
	Date:			30 March 2005
	Author:			Scott Wallace

	Fix for Mantis bug 993: 'rotating morph changes z-order.'  This is a bug that dates to the 	original implementaiton of 'flexing' (generic Morph rotation) in early 1998.  After this fix, 	when a flex shell is added, we now remember the z-position of the original morph and 	ascribe that same z-position to the TransformationMorph that replaces it.

	This update also fixes the dual of that bug, which is that when a TransformationMorph 	decides it's no longer needed, and gets itself replaced by the morph it formerly had been 	governing, the unrotated morph had not been getting inserted in the z-ordering in the same 	place.	
	---------------------------------------------
	Change Set:		noScritch-sw
	Date:			6 April 2005
	Author:			Scott Wallace

	The Scritch sound is supressed
	----------------------------------------------
	Change Set:		dupFixes-sw
	Date:			19 April 2005
	Author:			Scott Wallace

	When the user chooses 'duplicate' from the halo-actions submenu of the halo menu of a 	rotated object, the result had formerly been an unrotated object that was not known to the 	allExtantPlayers list of the project's presenter, so would not come up ticking, etc.  This 	update fixes those glitches.
	Also:  When you dismiss a morph via its halo, its player gets removed from the project's 	allExtantPlayers list -- an optimization.
	-----------------------------
	Change Set:		selectionSibFix-sw
	Date:			19 April 2005
	Author:			Scott Wallace

	Fix for Mantis bug  981: Making a sibling of SelectionMorph causes error.
	Version 4 of this fileout also fixes bugs involving use of the 'duplicate' feature from the 	'halo actions' submenu of a SelectionMorph -- such duplicates were flawed in a couple of 	way.
	-------------------------------
	Change Set:		tickingPainting-sw
	Date:			30 April 2005
	Author:			Scott Wallace

	Two responses to the concern about ticking-while-painting:

	(1)  Adds the #keepTickingWhilePainting preference; when true, scripts will continue to tick 	while the user is in a painting session.
	(2)  If this new preference is *false*, scripts that had been ticking when painting was 	initiated now resume ticking once painting is done.
	------------
	Change Set:		acceptPlayerTile-sw
	Date:			1 May 2005
	Author:			Scott Wallace

	Implements a short-cut feature requested by Alan (or rather 'remembered' by him ;-) as 	follows:  a player-valued tile can now be dropped onto a graphic-valued pad, whereup it 	expands into appropriate retrieval tiles for obtaining a graphic from the player.
	---------------
	Change Set:		unCustoming-sw
	Date:			17 June 2005
	Author:			Scott Wallace

	When the allowEtoyUserCustomEvents preference is false, refrain from showing the 	triggeringObject item in the Viewer and from offering the CustomEvents type in type-list 	popups.
	Also now makes the allowEtoyUserCustomEvents preference behave like a normal preference, 	i.e. independently of eToyFriendly, but sets it appropriately whenever eToyFriendly is 	changed -- after which it *can* subsequently be changed manually if desired, thus making 	it possible to set things up to operate with eToyFriendly on yet offering those CustomEvents.
	------------------------
	Change Set:		vectorAccess-sw
	Date:			9 July 2005
	Author:			Scott Wallace

	Gives easier access to the command for turning on the vector vocabulary.  Makes it possible 	to set an image up such that the vector vocbulary is always in use by default.  The 	primary access to this control is now via the World's Viewer, which now gets a 	'preferences' category, into which is also put a #dropProducesWatcher control.
	"
	self script47.
	self flushCaches.
	MCDefinition clearInstances.
	
	Preferences addPreference: #useVectorVocabulary categories: #(scripting) default: false  balloonHelp:  'When true, the vector vocabulary, allowing players to be used as vectors, is used.' projectLocal: true changeInformee: Preferences  changeSelector: #vectorVocabularySettingChanged.
Vocabulary initialize.
Preferences addPreference: #keepTickingWhilePainting category: #scripting default: false balloonHelp: 'If true, ticking scripts will keep running while in a painting session.'.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/17/2006 17:49'!
updateFrom7010
	"self new updateFrom7010"
	"
	Change Set:		watcherTypeChgFix-sw
	Date:			25 July 2005
	Author:			Scott Wallace

	Makes the new watchers launched to replace existing ones upon a type-change to a variable 	conform to the new protocol for creating watchers; also fixes the bug that simple watchers 	were being replaced by fancy ones after a type change.
	---------------------------
	Change Set:		StringEqual2
	Date:			15 December 2005
	Author:			Yoshiki Ohshima

	'abc' = 'abc' asWideString wasn't returning true after the String refactoring.  Supposedly, 	primitiveCompareString should fail when the argument or receiver isn't a byte object, but 	currently the primitive just traverses the internal of the word object.  The right fix would 	be to fix the primitive, but so far the Squeak side code should cope with it.
	------------------------------
	Change Set:		tileFix-sw
	Date:			18 July 2005
	Author:			Scott Wallace
	The tear-off-a-tile halo handle could sometimes tear off a bogus tile, if a non-Sketch object 	was rotated before a player was allocated to it.  This update fixes that.  Thanks to Dave 	Briccetti for pointing out this bug.
	--------
	Change Set:		FixMorphDelete
	Date:			28 July 2005
	Author:			Andreas Raab

	Always #dismissViaHalo even if #preserveTrash is true.
	--------
	Change Set:		ProjectViewDismiss
	Date:			1 August 2005
	Author:			Yoshiki Ohshima

	Match the wording when a ProjectViewMorph is dismissed via halo.
	-------
	Change Set:		turnTowardFix-sw
	Date:			29 July 2005
	Author:			Scott Wallace

	As per suggestion from Randy Heiland, Squeakland mailing list 7/29/05, makes 'turn toward' 	always carry out the turn (unless the positions of the two objects coincide), whether or not 	the objects overlap.
	--------
	0461MophDissmissal.cs
	--------
	Change Set:		LocaleRefactoring
	Date:			8 August 2005
	Author:			Takashi Yamamiya
	-------
	Change Set:		localeEnabler
	Date:			31 August 2005
	Author:			Michael Rueger

	Enables the use of the language setting through the locale plugin. If no plugin is found, 	the current locale is used.
	The preference useLocale turns the automatic settings on or off.
	-----------
	Change Set:		smWorkaround-sw
	Date:			16 March 2006
	Author:			Scott Wallace, Michael Rueger

	Adapted for 3.9.
	A change to allow SqueakMap to load packages successfully into images whose version 	numbers are less than 5302, which is the Squeak.org update level at which the convention 	about where the system changes were stored changed.  Goran's version of this code (7/13/04) 	assumed that any version number less than 5302 indicated an ancient Squeak, whereas in 	practice nowadays it is much more likely to indicate a recent Squeak that has a different 	formal version name, such as 'Tweak1.2' or Squeakland3.8', and which has its own 	sequence of update numbers.  This workaround was prompted a need to load Monticello into 	the Squeakland image.
	"
	self script48.
	self flushCaches.
	MCDefinition clearInstances.
	
	Preferences enable: #dropProducesWatcher.
	Preferences addPreference: #showAdvancedNavigatorButtons category: #morphic default: true balloonHelp: 'If true, an advanced version of the navigator is shown, otherwise a simplified version.'.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/18/2006 18:27'!
updateFrom7011
	"self new updateFrom7011"
	"
	Refactoring of Class|Trait>>category lookup. Improves category lookup by a factor of 10 and 	for example loading of a Monticello package by a factor of 2.
	"
	self script49.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/19/2006 14:01'!
updateFrom7012
	"self new updateFrom7012"
	"
	Change Set:		nihongo7ModalWindows
	Date:			22 July 2005
	Author:			Takashi Yamamiya and Kazuhiro Abe

	Make some UI elements modal so that the user don't see multiple project saving dialog, etc.
	-------------
	Change Set:		nihongo7BitBlt
	Date:			22 July 2005
	Author:			Yoshiki Ohshima

	Prevents simple crash with errorneous numbers in geometory.
	-----------
	Change Set:		nihongo7WatchersAndReadouts
	Date:			22 July 2005
	Author:			Takashi Yamamiya and Yoshiki Ohshima

	The proposed improvement for watchers and readouts. The areas are:

	* Simple watcher bahves better with Alt-Click.
	* Allows type-in of non-ascii number strings.
	* Should handle ok with translated symbols in symbol tiles.
	----------------
	Change Set:		nihongo7SimpleButtons
	Date:			22 July 2005
	Author:			Takashi Yamamiya

	Hide more buttons in the nav-bar.  Controlled by a preference called 	showAdvancedNavigatorButtons.
	----------------
	Change Set:		ExtNamesStay-tk
	Date:			27 July 2005
	Author:			Ted Kaehler

	When an object is being brought in from a saved project, if its name is already in use, 
	make a new unique internal name (as before).  Set the external name in the costume to its 
	old name.  Internal name is the key for it in References.
	----------------
	Change Set:		SketchFix
	Date:			28 July 2005
	Author:			Andreas Raab

	Restore two missing methods from SketchMorph.
	---------------
	Change Set:		undo-kedama
	Date:			17 March 2006
	Author:			Michael Rueger

	Undoes two squeakland changes that broke etoys
	-----------
	Change Set:		polygonFix-tak	
	Date:			10 February 2006
	Author:			Takashi Yamamiya

	Fixes a bug in generic handling of cached morph state, which manifested itself in a variety
	 of ways involving PolygonMorphs, such as the fact that a drop of a Star always required \
	a second click. 

	Reverts Morph>>releaseCachedState so that it no longer resets formerOwner, formerPosition, 
	and undoGrabCommand, thus making #releaseCachedState once again safe to call while 
	drag is  underway, The resetting of formerOwner, etc. is moved to #prepareToBeSaved
	----------
	0003295: In 7006 MorphicMenuItem>>keystroke: code versions reveal a conflict.
	"
	self script50.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/20/2006 19:56'!
updateFrom7013
	"self new updateFrom7013"
	"
	updated to latest OmniBrowser
	-------
	Change Set:		AddLineToTTCFont-yo
	Date:			1 August 2005
	Author:			Yoshiki Ohshima

	call #addLined on demand.  It should be handled more statically, but I have a feeling that 
	writing out TTCFont with LinedTTC in their derivative may not be handled very cleverly.
	--------------
	Change Set:		TTCRegistry-yo
	Date:			1 August 2005
	Author:			Yoshiki Ohshima

	A class variable (Registry) was missing from the class definition of TTCFont.  This change 
	set re-instate that, and register everything in postscript.
	--------------
	Change Set:		ttcNewSizeFix
	Date:			3 August 2005
	Author:			Yoshiki Ohshima

	Fallback font handling for new sized font has a bug.  The main problem is that 
	FixedFaceFont doesn't have the corresponding TextStyle.  I could add it, but so far I gave nil 
	to some implicit semantics in the methods in this change set.
	------------------
	Change Set:		searchPaneFix-sw
	Date:			3 August 2005
	Author:			Scott Wallace

	Make viewer search panes clip their submorphs, thus avoiding an ugly green artifact that 
	had crept in.  (Thanks to Andreas for supplying the fix.)
	-------------------
	Change Set:		AddTranslationNov30
	Date:			30 November 2005
	Author:			Yoshiki Ohshima

	Adds #translated to the ? halo of buttons.
	-------------------
	Change Set:		fixFileList2-bf
	Date:			5 December 2005
	Author:			Bert Freudenberg

	Fix image opening in FileList2
	--------------------
	0446ProjLoadFixes.cs 
	---------------------
	Change Set:		joystickEnh-mir-bf
	Date:			5 September 2005
	Author:			Michael Rueger, Bert Freudenberg

	Make joystick buttons available in Etoys.
	---------------------
	Change Set:		URLEncodingAttempt
	Date:			29 July 2005
	Author:			Yoshiki Ohshima

	An attempt to support more characters in encodeForHTTP.  However, this introduces another 
	backward compatibility problem.  The default behavior of #encodeForHTTP uses UTF-8 as the 
	byte sequence interpretation, but it was Latin-1 for older implementation.

	To get the backward compatible behavior, the senders of #encodeForHTTP should use an 	expression:

	aString encodeForHTTPWithTextEncoding: 'latin1'.

	instead.

	This changeset suppress the trivial error, but may cause the problem when somebody tries 
	to load a project from older image with latin-1 characters in its name.
	------------------
	0448loadNihongo4Projects.cs
	------------------
	Change Set:		worldPreferences-sw
	Date:			3 August 2005
	Author:			Scott Wallace

	Don't show the Preferences category in the world's viewer in eToyFriendly mode.

	When *not* in eToyFriendly mode, do show the category, to which othe alternatives have
 	now been added.
	------------
	Change Set:		vectorError-sw
	Date:			3 August 2005
	Author:			Scott Wallace

	Circumvents error condition when clicking on the menu icon of some of the 
	vector-vocabulary phrases.
	-------------
	Change Set:		EditableWatcher
	Date:			2 August 2005
	Author:			Takashi Yamamiya

	This fix allows you to edit variables with simple watchers
	-------------
	Change Set:		playfieldPrefBug-sw
	Date:			12 August 2005
	Author:			Scott Wallace

	Fixes the bug that the Preferences category could show up in the viewer of a non-world.
	-----------
	Change Set:		KedamaFixesAug
	Date:			15 August 2005
	Author:			Yoshiki Ohshima

	some fixes for a few known bugs.
	------------
	Change Set:		KedamaFixesAug2
	Date:			17 August 2005
	Author:			Yoshiki Ohshima

	suppress the dup halo for turtle exemplars, and make the forms in patches behaves better.
	------------
	Change Set:		symbolTranslationFix
	Date:			18 August 2005
	Author:			Yoshiki Ohshima

	Fix a few more problems with language transition.
	-------------
	Change Set:		KedamaFixesAug3
	Date:			19 August 2005
	Author:			Yoshiki Ohshima

	The backup code for a primitive was wrong.  It shows wrong boundary behavior when the 	
	plugin is not present.
	--------------
	Change Set:		fixObsDefault
	Date:			1 September 2005
	Author:			Michael Rueger

	Removes obsolete default messages and references still using them.
	------------
	"
	self script51.
	self flushCaches.
	MCDefinition clearInstances.
	TTCFont registerAll! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/20/2006 23:13'!
updateFrom7014
	"self new updateFrom7013"
	"
	Change Set:		0479iso3Countries.cs
	Date:			1 September 2005
	Author:			John Mcintosh, Michael Rueger

	Add ISO3 country codes to the iso definitions
	-------------
	Change Set:	phraseDupFix-sw
	Date:			23 October 2005
	Author:		Scott Wallace

	Fixes a bug that broke the duplication of phrase tiles that don't reside in viewers
	-------------
	Change Set:		suppliesTwoLiner
	Date:			7 October 2005
	Author:			Scott Wallace, Michael Rueger

	changes the supplies flap to show two lines of items by default
	--------------
	0498MacUnicodeIInterp.cs
	---------------
	Change Set:		FontRegistryFix
	Date:			9 October 2005
	Author:			Yoshiki Ohshima

	registry wasn't properly used for TTCFont.
	----------------
	Change Set:		percentEncodingFix
	Date:			22 September 2005
	Author:			Korakurider

	+ When Squeak is launched by openning .pr file, passed filename is systemString
	 (shift-jis on windows for instance).  That has to be converted to Squeak-native string.
	+ reimplementation of decoding percent-encoded-string has to be modified to support
	  utf8 based encoding.
	------------------
	0502nebraskaBuffer-yo.cs 
	-------------------
	Change Set:		NebraskaTextAndImageFix
	Date:			6 October 2005
	Author:			Yoshiki Ohshima

	* DropShadow + Text + Nebraska wasn't working right.
	* Form depth = 32 wasn't working right.  It isn't right or optimal but better in many ways.
	------------------
	Change Set:		revertStamp-tak
	Date:			28 November 2005
	Author:			Takashi Yamamiya

	Revert stampOnTransformedOwner.cs (it is included in 6580changesFromSql38ToJa)
	to fix a problem of stamp of rotated object.
	--------------------
	Change Set:		nebraskaBuffer2-yo
	Date:			10 October 2005
	Author:			Yoshiki Oshima

	Republished as Squeakland update 0506 to make certain that the code will be present in 
	images that had already loaded SqueakAlpha update 0502testPercentEncoding before it was 
	rescinded.
	--------------------
	Change Set:		FixKedamaBundle
	Date:			23 October 2005
	Author:			Yoshiki Ohshima

	KedamaBundle used to create an extra patch.
	---------------------
	Change Set:		BOMLangEditor
	Date:			29 November 2005
	Author:			Yoshiki Ohshima

	Fix BOM problem in Language Editor.
	--------------------
	Change Set:		ProjectManifest
	Date:			29 November 2005
	Author:			Yoshiki Ohshima

	Put a 'manifest' file that stores some additional infomation about the project.
	----------------------
	Change Set:		macosxJaMarks
	Date:			22 November 2005
	Author:			Tetsuya Hayashi

	Fixes Japanese input method related problem.
	It dealsd with special case involved in unicode conversion.
	-----------------------
	Change Set:		setupLanguageSpec-tak
	Date:			28 November 2005
	Author:			Takashi Yamamiya

	- Add language specific settings.
	- Remove setup scripts for old Japanese image.
	---------------------
	Change Set:		variableCategory-ka
	Date:			29 November 2005
	Author:			Kazuhiro Abe

	Patch for 'variable category doesn't apper when it's needed'.
	It occurs because missing 'translated' message after 'ScriptingSystem 
	nameForInstanceVariablesCategory' in StandardViewer>>likelyCategoryToShow.
	------------------------
	Change Set:		Use32BitPatch
	Date:			30 November 2005
	Author:			Yoshiki Ohshima
	-------------------------
	Change Set:		TextAlignEmphMenu-KR
	Date:			5 December 2005
	Author:			Korakurider

	fix problem that current alignment is shown wrongly on emphasis/alignment Menu for 
	TextMorph
	------------------------
	Change Set:		colorPickerFix-KR
	Date:			14 December 2005
	Author:			Korakurider

	Get the alpha setting on a morph's property sheet's fill-color colorpicker set properly.
	------------------------------
	Change Set:		shouldntBeRounded-ka
	Date:			4 December 2005
	Author:			Kazuhiro Abe

	Some morph, such as an Ellipse or a Polygon, shouldn't have rounded corners.
	They drew fake corners.
	------------------------------------
	Change Set:		FixAssignmentSuffix
	Date:			15 December 2005
	Author:			Takashi Yamamiya

	Fixed duplicated assignment arrows in old project.

	To load old project which is made in 3.2 era, assignment arrows (_) are
	duplicated. The reason is sometimes symbols and strings are confused in
	#translatedWordingFor:.
	----------------------------
	Change Set:		fixCharConv128-255
	Date:			5 November 2005
	Author:			Takashi Yamamiya

	Some characters could not be converted from Squeak to OS encoding.

	To reproduce:
	- Open workspace.
	- Input MULTIPLICATION SIGN character with your IME.
	- select and copy a few times for copying to the system paste buffer.
	- You would see an error.

	Reason: A charactor which value is 128-255 should be converted.

	e.g.
	00D7 MULTIPLICATION SIGN 
	00F7 DIVISION SIGN
	see http://www.unicode.org/charts/PDF/U0080.pdf
	-------------------------
	Change Set:		fixManifest
	Date:			16 December 2005
	Author:			Korakurider

	fix and enhance the facility to save manifest of project:
	  + Original implementation use constant filename 'MANIFEST'.
	    That behavior causes conflict of filename on server(Swiki etc).
	    This patch use basename of project for file name for manifest
 	+ save latest update number of SmalltalkImage in manifest (enhancement)
	----------------------------
	0528FixAPartOfBobConv.cs 
	"
	
	self script52.
	self flushCaches.
	MCDefinition clearInstances.
	
	ISOLanguageDefinition initISOCountries.
	
	Preferences addPreference: #duplicateAllControlAndAltKeys category: #keyboard default: true balloonHelp: 'If true, duplicates all alt- keys as ctrl-keys (making ctrl-c be copy as well as alt-c).
Cannot be true if swapControlAndAltKeys or duplicateControlAndAltKeys are true.'.

Preferences addPreference: #duplicateControlAndAltKeys category: #keyboard default: false balloonHelp: 'If true, duplicates some alt- keys as ctrl- keys (making ctrl-c be copy as well as alt-c).
Cannot be true if swapControlAndAltKeys or duplicateAllControlAndAltKeys are true.'.

Preferences addPreference: #swapControlAndAltKeys category: #keyboard default: false balloonHelp:  'If true, swaps some control- and alt-keys (making ctrl-c be copy instead of alt-c). 
Cannot be true if duplicateControlAndAltKeys or duplicateAllControlAndAltKeys is true.'.

(Preferences preferenceAt: #honorDesktopCmdKeys) categoryList: #(#keyboard #menus).

(Preferences preferenceAt: #duplicateAllControlAndAltKeys) rawValue: false.
(Preferences preferenceAt: #duplicateControlAndAltKeys) rawValue: false.
(Preferences preferenceAt: #swapControlAndAltKeys) rawValue: false.

(Preferences preferenceAt: #duplicateAllControlAndAltKeys) changeInformee: InputSensor changeSelector: #duplicateAllControlAndAltKeysChanged.
(Preferences preferenceAt: #duplicateControlAndAltKeys) changeInformee: InputSensor changeSelector: #duplicateControlAndAltKeysChanged.
(Preferences preferenceAt: #swapControlAndAltKeys) changeInformee: InputSensor changeSelector: #swapControlAndAltKeysChanged.

(Preferences preferenceAt: #duplicateAllControlAndAltKeys) preferenceValue: true.
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/22/2006 20:17'!
updateFrom7015
	"self new updateFrom7015"
	"
	Change Set:		ProportionalSplitter-honor-boundaries-jrp
	Date:			21 March 2006
	Author:			John Pierce

	Keep splitter from moving outside the natural window boundaries
	-----------
	Change Set:		projectViewMenuFix-yo.cs
	Date:			2 August 2005
	Author:			Kazuhiro Abe and Yoshiki Ohshima

	The project name of menu label was incorrect.
	------------
	Change Set:		testTileFix-kfr
	Date:			24 January 2006
	Author:			Karl Ramberg

	When clicking the button to add a new TestTile the ScriptEditor is unresponsive to place the TestTile 	
	because the tile never signaled a mouseEnter to the ScriptEditor. This is a fix for that.
	-------------
	Change Set:		retainRotationCenter-sw
	Date:			25 January 2006
	Author:			Scott Wallace

	When repainting a sketch, retain any existing rotation-center that may have been specified.
	--------------
	Change Set:		undoFixes-sw
	Date:			2 February 2006
	Author:			Scott Wallace

	Implements uindo for 'dismiss via halo', which works even if trash is not being preserved.
	Make the Undo button in the NavBar dynamically show what action it *would* undo.
	Makes that button work propery in a redo situation (formerly it had malfunctioned  when in redo 
	mode.)
	Elaborates the wording of the 'undo' item to include identification of the target, for resize and rotate 	now, as it always has done for move.
	Fixes some bugs encountered along the way.
	Fixes the bug that could break undo of a rotation, if an addition or removal of a flex shell was 	involved.
	------------------
	Change Set:		SuperSwikiString-KR
	Date:			1 February 2006
	Author:			Korakurider

	Current m18n implementation assumes shift_jis encoding is used in wire protocol between
	SuperSwiki server and client.  Then some existing projects encoded in other than shift_jis
	cause walkback. 

	This patch introduces 'encodingName' for ServerDirectory entry (even in knownServer entry) 
	so that appropriate encoding can be specified for each server.  If not specified, encoding is 	
	determined based on current locale.
	------------------
	Change Set:		rotCenterHaloHelp-sw
	Date:			16 February 2006
	Author:			Scott Wallace

	Supplements the balloon help for the rotation-center handle with the additional informaiton that the 
	user should hold down the shift key to move it.
	-------------------
	Name: Balloon-mir.11
	Author: mir
	Time: 22 March 2006, 2:14:18 pm

	(backported from Jan Fietz' changes)

	FlashFileReader support for more image tags:
		processDefineBitsJPEG3 (JPEG + alpha channel)
		processDefineLossless2
	---------------------
	Name: Flash-mir.2
	Author: mir
	Time: 22 March 2006, 3:04 pm

	merge with iSqueak flash enh. (was ballon)
	-----------------------
	Name: SUnitGUI-lr.6
	Author: lr
	Time: 22 March 2006, 7:49:27 pm

	- fixed a couple of issues related to the change-notifications
		- no more debugger if the system contains classes that are not categorized yet (can happen 				when loading mcz files)
		- register for some different change events that were missed
	- unregister for changes when window closes
	-------------------
	"
	
	self script53.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/22/2006 22:40'!
updateFrom7019
	"self new updateFrom7019"
	"
	sync from update stream. changesets:
	
	7019-DNUFixScrollBar-md.1.cs
	7018-0525nebraskaFontSet.cs
	7017-0445ja-forms.cs
	
	"
	
	self script54.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 3/28/2006 21:08'!
updateFrom7020
	"self new updateFrom7020"
	"
	- 0003215: saving and reloading a string morph with a true type font breaks the font
	- 0003354: Can't select some colors in PaintBoxColorPicker
	- 0003355: [BUG] Fresh 3.9a image (build 7020) has text morphs in objects window wrong size
	- added CollectionsTests from stef
	- OmniBrowser (fixed by Lukas)
		- makes it possible to drag meta-classes to new categories
		- add missing OBClassActor to OBMetaclassNode
		- fix as published in http://bugs.impara.de/view.php?id=3269
		- fix a debugger when selecting omnibrowser as default browser 
		- made the buttons in omnibrowser look like they do in 3.9
		- fixes an infinite recursion occuring when a drag&drop operation is started
	- fix for the SlowRedraw bug (Adrian)
	- valueWithExit for BlockContex / BlockClosure
	- added Symbol>>#value:
	-------
	Change Set:		SuperSwikiFixKR
	Date:			20 February 2006
	Author:			Korakurider

	A one-method fix to the recent SuperSwikiStr update.
	-------
	Change Set:		TTCFont-fix-ascent-jrp
	Date:			27 March 2006
	Author:			John Pierce

	Add ascent instance variable back to the class so method ascent will work again.
	"
	
	self script55.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 4/9/2006 21:21'!
updateFrom7021
	"self new updateFrom7021"
	"
	NOT YET RELEASED
	Tests for Heap
	Tests for SystemChangeNotifications
	Fix of roel for double event notification when class recategorisation
	0003440: UTF8TextConverter>>nextFromStream: silently truncates input
	0003375: mcz files saved in 3.9 don't load in 3.8
	0003376: mpeg plugin has changes to image to support read from buffer versus file
	0000521: [BUG] Button properties Morph need to be fixed or removed.
	0002116: Halo rotation of a true type font throws up a debug window.
	0001608: [BUG][FIX] Morphic: File Selection Dialog
	0003378: Add FloatMathPluginTests class to Tests-VM package/category
	0003377: mpeg plugin has changes to image to support dropping bits into an offset into a 
			form so you can write to say Display
	OmniBrowser:
		- format non-local methods (e.g from traits) in italic (does also work in images that do 		not have support for traits)
	0001604: [FIX] [BUG] smoothOrSegmentedPhrase-wiz
	0001200: Outdent/Indent issue if code contains WideStrings
	SUnit: Merged in SUnit extensions by Mercap Software.

	"
	
	self script57.
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 4/21/2006 16:09'!
updateFrom7022

	"self new updateFrom7022"
	""
	
	self script58.
	self flushCaches.
	MCDefinition clearInstances.

	MenuIcons initializeIcons.

	"Postscript from Changeset:  1044-TrashCanMorphCleanUp-dgd"
	World submorphs
		select: [:each | each isKindOf: TrashCanMorph]
		thenDo: [:each | each delete].

	World restoreFlapsDisplay.

	Preferences setNotificationParametersForStandardPreferences.
	World roundUpStrays.
	ParagraphEditor initialize.
	SystemProgressMorph reset.
	MenuIcons initializeIcons.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 4/25/2006 18:28'!
updateFrom7024

	"self new updateFrom7024"
	"
	Compiler:
	 	- Small refactoring of MethodNode>>generate and related methods (needed by 		 
		  MethodWrappers) (Diego Fernandez (and Andrian Lienhard (NetStyle.ch)) )
		- == <integer literal> to = <integer literal> in response to Dan Ingalls' note (fbs)
	OmniBrowser: (Lukas Renggli of NetStyle.ch)
	    - fixes an bug when the browser is opened (Ctrl+B) from non OmniBrowser windows 
		(Debugger, Workspace, ...)
	    - drag and drop methods and categories onto classes
	--------------
	SUnit:
	0003489: ClassTestCase >> selectorsTested misses 'special' methods.

	The method ClassTestCase >> selectorsTested computes the sent messages in a test incorrectly. It 	looks in the literals array, and so misses the 32 'special' message selectors. The correct code 
	is both shorter and simpler. (Andrew Black)
	---------------
	Morphic:
		- 0003416: Faster Moprhic invalidation
		  Morph>>invalidRect:from: was testing for wonderland textures (which where stored in 
		  a property...). (Thanks to Andrew Black for reporting this).
		- Better looking menu title bar (from a mail to the list that I can't find anymore...
		   please use mantis if you want your name to appear here ;-))
	---------------
	Change Set:		ExternalSettingsReorg-tpr
	Date:			5 April 2006
	Author:			tim@rowledge.org

	Reorganise the categories in ExternalSettings to get rid of an explcit '--all--' that can make a 	real mess of filing out the code
	--------------	
	Change Set:		KedamaMissing-KR
	Date:			14 April 2006
	Author:			Korakurider

	add missing method for Kedama
	----------------
	Change Set:		KedamaWODepreciated-KR
	Date:			14 April 2006
	Author:			Korakurider

	refactor kedama not to call depreciated methods.
	note: As showDeprecationWarnings preferece is set to false in Squeakland image, 
	original kedama code run without no problem.
	------------------
	renamed BlockContext>>endpc to be endOC and fix the one sender (md)
	------------------
	Change Set:		MacRomanFix
	Date:			5 April 2006
	Author:			Andreas Raab

	Raise an error if somebody tries to write wide characters.
	----------------------
	0003458: PositionableStream>>copyPreamble:from:at: broken  (Andreas)
	---------
	0003415: Changeset is not updated when renaming a class (Noury)
	After renaming a class, the changeset is not updated to refer to the new name. Therefore, 	
	one virtually lose recorded changes.
	The fix also cleans a bit SystemDictionary. It removes method 	SystemDictionary>>renameClass:from: and uses instead SystemDictionary>>renameClass:as: used 	by traits
	-----------
	0003492: Complete the job of changing the way that arrays are printed (Andrew Black)
	Description
	The new array printing logic introduced in 3.9 had some holes, and needed some cleanup. 	The attached changeset provides it. Tests are included.
	Additional Information
	Specifically, the changeset

	- marks Fractions as selfEveluating and Booleans as literals
	- puts Array>>printOn: back in the printing ctaegory, where someone might expect to find it
	- removes duplicated logic from Collection>>printElementsOn:
	- adds tests for all of the above.
	--------------
	faster asUTC from Avi
	-------------- 
	"
	self script59.
	self flushCaches.
	MCDefinition clearInstances.
	FixInvisible fixFonts! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 4/29/2006 22:56'!
updateFrom7025

	"self new updateFrom7025"
	"
	NOT RELEASED YET
	---------------------------------
	See Mantis bug 1840 and 854.
	This changeset allows a too-long Delay to fail the relevant primitive and schedules a fake 	delay to keep the timer system going. I claim this is preferable to disallowing long delays.
	---------------------------------
	3515 - Parser fails in #defineClass: becasue Metaclass doest not understand #category
	---------------------------------
	003513: [ENH] ToolBuilderBldEnh-KR
Description
ToolBuilder>>(class)build: 
enable default builder to build objects without opening.
It's useful for building authoring prototypes for ToolBuilder-based tools in parts bin.
	---------------------------------
	0003510: In 3.9a requesting a language change leads to infinite generation of testRunners
	---------------------------------
	0003504: Float asInteger conversion is inexact...
	"
	self script60.
	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 5/2/2006 21:57'!
updateFrom7026

	"self new updateFrom7026"
	"
	New version....because of problems
	---------------------------------
	0003520: Chronology Tests for hash failed in 7025; fixes included (by Tom Koenig)
	---------------------------------
	0003518: SkipListTests fails/errors in 7025;SkipListTestsFixes (by Tom Koenig)
	---------------------------------
	0003373: Float asFraction does not handle gradual underflow
	---------------------------------
	0003339: [Fix] Simple button morphs don't reset their color properly when balked.
	---------------------------------
	
	"
	self script61.
	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 5/4/2006 16:09'!
updateFrom7028

	"self new updateFrom7028"
	"
	in 7028 we pushed in the update stream 
	0003426: init: method should be renamed initialize: for consistency
	------------------------------------------------------------------------------
	0003527: infinite loop on locale change (Mantis 0003510 ) not fixed yet in 7027
	------------------------------------------------------------------------------
	0003505: Context menus in ImageBrowser (OmniBrowser) crash due to missing methods in MenuIcons
	------------------------------------------------------------------------------
	0003519: Duration isZero gets MNU in 7026;fix failed
	
	"
	self script62.
	self flushCaches.
	MCDefinition clearInstances.
	Flaps initializeFlapsQuads.
     FileList registerInFlapsRegistry.  "if needed "
     TestRunner registerInToolsFlap.    "if needed "
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 5/7/2006 10:04'!
updateFrom7029

	"self new updateFrom7029"
	"
	restore canUnderstand: + introduce canPerform:
	
	"
	self script63.
	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 5/9/2006 22:29'!
updateFrom7030

	"7030 was generated by cs on the update stream"
	
	
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 5/9/2006 22:28'!
updateFrom7031

	"self new updateFrom7031"
	"
	- Shift ivars traitComposition and localSelectors because of problem with hardcoded indexes in VM (this is accomplished in combination with a cs which has to be loaded first)
	- refactor accessing trait compositions to avoid unnecessary lazy initialization
	- recategorizing methods from *Traits extensions to local packages
	- new requires algorithm tests by Andrew Black
	"
	
	self script64.
	
	"To get rid of already created empty compositions in the image"
	Smalltalk allClassesAndTraitsDo: [ :each |
	(each instVarNamed: 'traitComposition') notNil and: [
		each traitComposition allTraits isEmpty ifTrue: [
			each instVarNamed: 'traitComposition' put: nil ] ] ].

	"Initialization required for tests"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 5/29/2006 20:22'!
updateFrom7032

	"self new updateFrom7032"
	"
	Networks fixes provided by the network IO team
	"
	
	self script65.
	
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 6/20/2006 16:48'!
updateFrom7033
	"self new updateFrom7033"
	
	"Some MC fixes"
	
	self script66.
	
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'al 7/5/2006 16:09'!
updateFrom7035
	"self new updateFrom7035"
	
	"Pragrams fixes lr
	PackageInfo al
	System al
	Kernel Tests lr"
	
	self
		loadOneAfterTheOther: #('System-sd.87.mcz' 'Monticello-al.305.mcz' 'PackageInfo-al.6.mcz')
		merge: true.
		
	self script67.
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/8/2006 18:56'!
updateFrom7036
	"self new updateFrom7036"
	
	self script68.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/8/2006 18:38'!
updateFrom7037
	"self new updateFrom7037"
	
	self script69.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/9/2006 22:46'!
updateFrom7038
	"self new updateFrom7038"
	
	self script70.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/12/2006 16:52'!
updateFrom7039
	"self new updateFrom7039"
	
	self loadTogether: #('Kernel-sd.133.mcz' 'Traits-al.221.mcz') merge: true.
	
	Smalltalk allClassesAndTraits do: [:t | 
		(t methodDict keys select: [:s | t includesLocalSelector: s]) do: [:s | 
		t notifyUsersOfChangedSelectors: {s}].
	(t classSide methodDict keys select: [:s | t classSide includesLocalSelector: s]) do: [:s |
          t classSide notifyUsersOfChangedSelectors: {s}]].	
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/12/2006 19:11'!
updateFrom7040
	"self new updateFrom7040"
	
	self script71.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/12/2006 23:07'!
updateFrom7041
	"self new updateFrom7041"
	
	self script72.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.

	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/14/2006 12:24'!
updateFrom7042
	"self new updateFrom7042"
	
	self script73.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.
	
	Preferences disable: #higherPerformance.
	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/14/2006 19:57'!
updateFrom7043
	"self new updateFrom7043"
	
	self script74.
	ServiceRegistry rebuild.

	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.
	
	self flushCaches.
	MCDefinition clearInstances.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/15/2006 17:58'!
updateFrom7044

	"self new updateFrom7044"
	self script75.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.
	
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 7/15/2006 21:54'!
updateFrom7045

	"self new updateFrom7045"
	self script76.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.
	
	self flushCaches.
	MCDefinition clearInstances.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 7/23/2006 12:00'!
updateFrom7046
	"self new updateFrom7046"
	
	self script77.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.
	
	self flushCaches.
	MCDefinition clearInstances.
	"uncomment for the final version"
	Utilities emptyScrapsBook.
	"self prepareReleaseImage."! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 7/23/2006 14:09'!
updateFrom7047

	"self new updateFrom7047"
	self script78.
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.
	ServiceRegistry initialize.
	
	self unloadPackages.
	AppRegistry removeObsolete.
	FileServices removeObsolete. 
	Undeclared removeUnreferencedKeys.
	self flushCaches.
	MCDefinition clearInstances.
	Preferences addPreference: #multipleTextUndo
		categories: #('general') default: false 
		balloonHelp: 'Editors track a multiple undo history'.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 8/2/2006 17:38'!
updateFrom7048

	"self new updateFrom7048"
	self script79.
	
	self flushCaches.
	
	self cleanUpMethods.
	"recompile some methods"
	(nil systemNavigation allMethodsSelect: [:method |
	    (method methodClass methodDictionary includesIdentity: method) not])
	   do: [:cltr | cltr actualClass compileAll]
! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 8/2/2006 20:40'!
updateFrom7049

	"self new updateFrom7049"
	self script80.
	self flushCaches.
	Preferences initializeTextHighlightingParameters.
	self finalCleanup.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 8/10/2006 12:03'!
updateFrom7050

	"self new updateFrom7050"
	self script81.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 8/11/2006 11:26'!
updateFrom7051

	"self new updateFrom7051"
	self script82.
	
	Preferences disable: #maintainHalos.
	SMSqueakMap default loadFull.
	self flushCaches.
	ChangeSet removeEmptyUnnamedChangeSets.
	ChangeSet newChanges: (ChangeSorter basicNewChangeSet: 'Unnamed').
	ChangeSet current name: 'Unnamed'.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 8/13/2006 20:12'!
updateFrom7052
	"self new updateFrom7052"
	self unloadFFI.
	
	Preferences disable: #maintainHalos.
	SMSqueakMap default loadFull.
	self flushCaches.
	ChangeSet removeEmptyUnnamedChangeSets.
	ChangeSet newChanges: (ChangeSorter basicNewChangeSet: 'Unnamed').
	ChangeSet current name: 'Unnamed'.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'md 9/7/2006 22:43'!
updateFrom7053
	"self new updateFrom7053"
	
	Smalltalk allClassesAndTraits do: [:t | 
		(t methodDict keys select: [:s | t includesLocalSelector: s]) do: [:s | 
		t notifyUsersOfChangedSelectors: {s}].
	(t classSide methodDict keys select: [:s | t classSide includesLocalSelector: s]) do: [:s |
          t classSide notifyUsersOfChangedSelectors: {s}]].	

	"[Explanation: It originates in the update from 7048 to 7049 where some classes are recompiled. This also recompiles the trait methods in those classes. This breaks the assumption in #moveChangesTo: that a method needs to be moved to the new changes file only if it is not from a trait or if it is from a trait but with a supersend (this is assumed to be the only case for which traits methods are not identical with the original method in the trait). Since this is not the case after the recompilation, now there are some old methods not moved to the new changes and hence they still have old pointers].
"
	self script83.

	self installingDefaultRepositoriesToPackages. 
	
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 9/8/2006 20:53'!
updateFrom7056
	"self new updateFrom7056"
	
	
	self script84.
	"include changeset extension"

	self cleaningCS.
	
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 9/14/2006 21:10'!
updateFrom7057
	"self new updateFrom7057"
	
	
	self script85.
	"fix windowColorRegistry"

	ServicePreferences wipe.
	ServiceRegistry rebuild.
	WindowColorRegistry refresh.
	self cleaningCS.
	
	self flushCaches.! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 9/22/2006 13:46'!
updateFrom7058

	"self new updateFrom7058"
	self script86.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 10/13/2006 19:19'!
updateFrom7061

	"self new updateFrom7061"
	self script87.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 10/15/2006 11:11'!
updateFrom7063
	"self new updateFrom7063"
	
	self script88.
	SMSqueakMap default noteInstalledPackageNamed: 'SqueakMap2 loader'
autoVersion: '10'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 10/18/2006 11:37'!
updateFrom7064
	"self new updateFrom7064"
	
	self script89.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 10/20/2006 21:31'!
updateFrom7065
	"self new updateFrom7065"
	
	self script90.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 11/7/2006 11:50'!
updateFrom7066
	"self new updateFrom7066"
	
	self script91.
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	SystemVersion newVersion: 'Squeak3.9'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/14/2008 20:13'!
updateFrom7067
	"self new updateFrom7067"
	
	self script92. "loading multilingual is sync"
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/14/2008 20:13'!
updateFrom7068
	"self new updateFrom7067"
	
	
	"SystemWindow allInstances do: [:each | each delete]."
	self script92.
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	SystemVersion newVersion: 'Squeak3.9.1'.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/14/2008 21:45'!
updateFrom7069
	"self new updateFrom7069"
	

	"unloading OB"	
	(MCWorkingCopy forPackage: (MCPackage new name: 'OmniBrowser')) unload.
	(MCWorkingCopy forPackage: (MCPackage new name: 'OB-Standard')) unload.
	SystemBrowser removeObsolete.
	SystemOrganization removeCategoriesMatching: 'OmniBrowser*'.
	SystemOrganization removeCategoriesMatching: 'OB-Standard*'.
	
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/14/2008 22:04'!
updateFrom7070
	"self new updateFrom7070"

	self script93.
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	Preferences enable: #serverMode.
	
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/14/2008 22:12'!
updateFrom7071
	"self new updateFrom7071"

	self script94.
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	Preferences enable: #serverMode.
	
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/14/2008 22:21'!
updateFrom7072
	"self new updateFrom7072"

	self script95.
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 2/17/2008 21:19'!
updateFrom7073
	"self new updateFrom7073"

	self script96.
	World setModel: MorphicModel new.
	Behavior flushObsoleteSubclasses.
	Smalltalk cleanOutUndeclared.
	self flushCaches.
	
	
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 3/20/2008 22:00'!
updateFrom7074

	"self new updateFrom7074"
	self script105.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'old-squeakish-update' stamp: 'sd 3/20/2008 22:00'!
updateFrom7075

	"self new updateFrom7075"
	self script105.
	self flushCaches.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/28/2008 18:32'!
waitingFolderMCZFiles

	^ self class defaultMCWaitingFolder allFileNames reject:[:each | each =  '.DS_Store']! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:46'!
withUdpateLog: aString
	
	"self deprecated"
	self flag: #toRemove.
	self withUpdateLog: aString! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:45'!
withUpdateLog: aString

	self logStream nextPutAll: ' ------------------------------------------------------' ; cr.
	self logStream nextPutAll: thisContext sender selector asString. 
	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'unused methods' stamp: 'sd 3/24/2008 17:31'!
workingCopyFromPackageName: aString
	"self new workingCopyFromPackageName: '39Deprecated' "
	
	|pa|
	pa := MCPackage named: aString.
	^ pa workingCopy 
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 7/8/2006 18:20'!
writeCS: extensionAndNumber forUpdate: updateNumber
	"ScriptLoader new writeCS: '-sd.210' forUpdate: 7037"
	
	self writeCS: extensionAndNumber forUpdate: updateNumber withName: 'changeMe'! !

!ScriptLoader methodsFor: 'public' stamp: 'md 8/2/2006 18:06'!
writeCS: extensionAndNumber forUpdate: updateNumber withName: aSt
	"ScriptLoader new writeCS: '-md.2929' forUpdate: 7049 withName: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default forceNewFileNamed:  updateNumber asString, 'update', aSt, '.cs'.
	self generateCS: extensionAndNumber fromUpdate: updateNumber on: str.
	str close.! !

!MCRepositoryGroup methodsFor: '*ScriptLoader' stamp: 'sd 3/15/2008 17:33'!
removeHTTPRepositoryLocationNamed: aRepositoryString
	
	| httpRepo others |
	httpRepo := repositories select: [:each | each isKindOf: MCHttpRepository]. 
	others := repositories reject: [:each | each isKindOf: MCHttpRepository].
	repositories := others, (httpRepo reject: [:each | each locationWithTrailingSlash = aRepositoryString]).
	self changed: #repositories! !
